Sync with portage [Fri Sep 11 23:19:27 MSK 2015].

mhiretskiy 19
root 9 years ago
parent a1df5a8bb5
commit 9e1ce7a73b

@ -1 +1,2 @@
DIST gkrellm-2.3.5.tar.bz2 765011 SHA256 702b5b0e9c040eb3af8e157453f38dd6f53e1dcd8b1272d20266cda3d4372c8b SHA512 9681ec5978b6be9f56a71726df36671829a4427f45caf90c8c3460e8c59004ff4083de1692cad16e3724ed37418bb3e4589d1961c140f3becfa3efd210b7a5dc WHIRLPOOL 3dceb20b9da49fb9b287e1faca88b3fdb7ae7af6dde5e675ee1e5c718467b131e34f740cb38719e5026ce0478146264fa4eaa060120e71f2c442ec5504e6dfb4
DIST gkrellm-2.3.6-rc1.tar.bz2 784934 SHA256 abeeb0c04a8f911db5f07a95a98e4044326a657f65986013d36a736ba4e47ae8 SHA512 2004c6e57dc5dba9dbbd4c713caa29f5b59e4926b1ce4a3cfb47840096d6d93d66633d15d5588bc22e31df88241248d7910645da75de39278f1fd68255b88517 WHIRLPOOL f3506e88dc19e3eebe313b5f57a5d605d6b011808391036ff5332140c53061f8ee99b942b2b287cb7f645e9f2491e654623759b4a01fa454c785883355141319

@ -0,0 +1,65 @@
From 285adc8acd22892f86435edd84bf9b22c915b349 Mon Sep 17 00:00:00 2001
From: Bill Wilson
Date: Wed, 5 Nov 2014 17:46:37 -0600
Subject: Avoid possible busy loop in read_server_setup()
A patch from Joe Garcia. A ssh tunnel can be up but possibly not
connected to anything in which case gkrellm_getline() can return 0.
This patch prevents a busy loop by limiting the 0 return retries.
diff --git a/src/client.c b/src/client.c
index e7c5116..0eb2924 100644
--- a/src/client.c
+++ b/src/client.c
@@ -1712,8 +1712,10 @@ process_server_line(KeyTable *table, gint table_size, gchar *line)
static gboolean
read_server_setup(gint fd)
{
- gchar buf[4097]; /* TODO: Use dynamic receive buffer */
- gint table_size;
+ gchar buf[4097]; /* TODO: Use dynamic receive buffer */
+ gint table_size;
+ gint rs;
+ gint retries = 10;
gkrellm_debug(DEBUG_CLIENT, "read_server_setup()\n");
@@ -1726,13 +1728,18 @@ read_server_setup(gint fd)
gkrellm_free_glist_and_data(&client_plugin_setup_line_list);
- gint rs;
-
while (1)
{
rs = gkrellm_getline(fd, buf, sizeof(buf));
- if (rs < 0)
- return FALSE;
+ if (rs < 0)
+ return FALSE;
+ if (rs == 0)
+ {
+ if (--retries)
+ usleep(10000);
+ else
+ return FALSE;
+ }
if (!strcmp(buf, "</gkrellmd_setup>"))
break;
process_server_line(&setup_table[0], table_size, buf);
@@ -1751,6 +1758,12 @@ read_server_setup(gint fd)
rs = gkrellm_getline(fd, buf, sizeof(buf));
if (rs < 0)
return FALSE;
+ if (rs==0){
+ if(--retries)
+ usleep(10000);
+ else
+ return FALSE;
+ }
if (!strcmp(buf, "</initial_update>"))
break;
process_server_line(&update_table[0], table_size, buf);
--
cgit v0.10.2-6-g49f6

@ -0,0 +1,24 @@
From f3f67b79195cb9dbb6f7c2401ffe17d3e3b8321b Mon Sep 17 00:00:00 2001
From: Jindřich Makovička
Date: Sun, 26 Oct 2014 17:15:49 +0100
Subject: fix copy/paste error
This regression was introduced by commit
6365d18ad0ab6f3646e220bfc493bb2422c6f9aa
diff --git a/src/plugins.c b/src/plugins.c
index 18278fa..55cd157 100644
--- a/src/plugins.c
+++ b/src/plugins.c
@@ -1349,7 +1349,7 @@ replace_plugins()
{
gtk_box_pack_start(GTK_BOX(gkrellm_monitor_vbox()),
mon->privat->main_vbox, FALSE, FALSE, 0);
- g_object_ref(G_OBJECT(mon->privat->main_vbox));
+ g_object_unref(G_OBJECT(mon->privat->main_vbox));
}
}
}
--
cgit v0.10.2-6-g49f6

@ -0,0 +1,29 @@
From e15c0d4a029e14e8fbd03f2773b8504d7e090ced Mon Sep 17 00:00:00 2001
From: Bill Wilson
Date: Tue, 21 Oct 2014 18:49:41 -0500
Subject: Fix deprecated allow-shring & allow-grow warnings
Reported by Troy Engel, avoid recent GTK version deprecated warnings
by using gtk_window_set_resizable().
diff --git a/src/main.c b/src/main.c
index 205f462..d130d81 100644
--- a/src/main.c
+++ b/src/main.c
@@ -1553,9 +1553,10 @@ create_widget_tree()
gtk_widget_realize(gtree.window);
- /* gtk_window_set_resizable() */
- g_object_set(G_OBJECT(gtree.window), "allow_shrink", FALSE, NULL);
- g_object_set(G_OBJECT(gtree.window), "allow_grow", FALSE, NULL);
+ /* Set the toplevel window size handling to be under program control.
+ */
+ gtk_window_set_resizable((GtkWindow *) gtree.window, FALSE);
+
if (!decorated)
gtk_window_set_decorated((GtkWindow *) gtree.window, FALSE);
--
cgit v0.10.2-6-g49f6

@ -0,0 +1,16 @@
#!/sbin/openrc-run
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
description="gkrell system monitor daemon"
pidfile="/var/run/gkrellmd.pid"
command="/usr/bin/gkrellmd"
command_args="${GKRELLMD_OPTS}"
command_background="true"
depend() {
need net
after lm_sensors
after hddtemp
}

@ -0,0 +1,136 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit eutils multilib user systemd toolchain-funcs
MY_P="${P/_/-}"
DESCRIPTION="Single process stack of various system monitors"
HOMEPAGE="http://www.gkrellm.net/"
SRC_URI="http://gkrellm.srcbox.net/${MY_P}.tar.bz2"
LICENSE="GPL-3"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
IUSE="gnutls hddtemp lm_sensors nls ntlm ssl kernel_FreeBSD X"
RDEPEND="
dev-libs/glib:2
hddtemp? ( app-admin/hddtemp )
gnutls? ( net-libs/gnutls )
!gnutls? ( ssl? ( dev-libs/openssl:0= ) )
lm_sensors? ( sys-apps/lm_sensors )
nls? ( virtual/libintl )
ntlm? ( net-libs/libntlm )
X? (
x11-libs/gtk+:2
x11-libs/pango
)"
DEPEND="${RDEPEND}
virtual/pkgconfig
nls? ( sys-devel/gettext )"
PATCHES=(
"${FILESDIR}"/${PN}-2.3.5-cifs.patch
"${FILESDIR}"/${PN}-2.3.5-config.patch
"${FILESDIR}"/${PN}-2.3.5-width.patch
"${FILESDIR}"/${PN}-2.3.5-sansfont.patch
"${FILESDIR}"/${P}-fix_gtk_deprecation_warning.patch
"${FILESDIR}"/${P}-fix_copypaste_error.patch
"${FILESDIR}"/${P}-avoid_possible_busy_loop.patch
"${FILESDIR}"/${P}-update_german_translation.patch.xz
)
S="${WORKDIR}/${MY_P}"
pkg_setup() {
enewgroup gkrellmd
enewuser gkrellmd -1 -1 -1 gkrellmd
TARGET=
use kernel_FreeBSD && TARGET="freebsd"
}
src_prepare() {
sed -e 's:-O2 ::' \
-e 's:override CC:CFLAGS:' \
-e 's:-L/usr/X11R6/lib::' \
-i */Makefile || die "sed Makefile(s) failed"
sed -e "s:/usr/lib:${EPREFIX}/usr/$(get_libdir):" \
-e "s:/usr/local/lib:${EPREFIX}/usr/local/$(get_libdir):" \
-i src/${PN}.h || die "sed ${PN}.h failed"
epatch ${PATCHES[@]}
}
src_compile() {
if use X ; then
local sslopt=""
if use gnutls; then
sslopt="without-ssl=yes"
elif use ssl; then
sslopt="without-gnutls=yes"
else
sslopt="without-ssl=yes without-gnutls=yes"
fi
emake \
${TARGET} \
CC="$(tc-getCC)" \
STRIP="" \
INSTALLROOT="${EPREFIX}/usr" \
INCLUDEDIR="${EPREFIX}/usr/include/gkrellm2" \
LOCALEDIR="${EPREFIX}/usr/share/locale" \
$(usex nls "" "enable_nls=0") \
$(usex lm_sensors "" "without-libsensors=yes") \
$(usex ntlm "" "without-ntlm=yes") \
${sslopt}
else
cd server || die
emake \
${TARGET} \
CC="$(tc-getCC)" \
LINK_FLAGS="$LDFLAGS -Wl,-E" \
STRIP="" \
$(usex nls "" "enable_nls=0") \
$(usex lm_sensors "" "without-libsensors=yes")
fi
}
src_install() {
if use X ; then
emake \
install${TARGET:+_}${TARGET} \
$(usex nls "" "enable_nls=0") \
STRIP="" \
INSTALLDIR="${ED}/usr/bin" \
INCLUDEDIR="${ED}/usr/include" \
LOCALEDIR="${ED}/usr/share/locale" \
PKGCONFIGDIR="${ED}/usr/$(get_libdir)/pkgconfig" \
MANDIR="${ED}/usr/share/man/man1"
dohtml *.html
newicon src/icon.xpm ${PN}.xpm
make_desktop_entry ${PN} GKrellM ${PN}
else
dobin server/gkrellmd
insinto /usr/include/gkrellm2
doins server/gkrellmd.h
doins shared/log.h
fi
newinitd "${FILESDIR}"/gkrellmd.initd gkrellmd
newconfd "${FILESDIR}"/gkrellmd.conf gkrellmd
systemd_dounit "${FILESDIR}"/gkrellmd.service
insinto /etc
doins server/gkrellmd.conf
dodoc Changelog CREDITS README
}

@ -1,35 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="4"
inherit eutils
DESCRIPTION="A file archival tool which can also read and write tar files"
HOMEPAGE="https://www.gnu.org/software/cpio/cpio.html"
SRC_URI="mirror://gnu/cpio/${P}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="nls"
src_prepare() {
epatch "${FILESDIR}"/${P}-stat.patch #328531
epatch "${FILESDIR}"/${P}-no-gets.patch #424974
epatch "${FILESDIR}"/${P}-non-gnu-compilers.patch #275295
}
src_configure() {
econf \
$(use_enable nls) \
--bindir="${EPREFIX}"/bin \
--with-rmt="${EPREFIX}"/usr/sbin/rmt
}
src_install() {
default
rm "${ED}"/usr/share/man/man1/mt.1 || die
rmdir "${ED}"/usr/libexec || die
}

@ -12,7 +12,7 @@ SRC_URI="mirror://gnu/cpio/${P}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 s390 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="nls"
src_prepare() {
@ -20,6 +20,7 @@ src_prepare() {
epatch "${FILESDIR}"/${P}-no-gets.patch #424974
epatch "${FILESDIR}"/${P}-non-gnu-compilers.patch #275295
epatch "${FILESDIR}"/${P}-security.patch #530512 #536010
epatch "${FILESDIR}"/${P}-symlink-bad-length-test.patch #554760
eautoreconf
}

@ -1,35 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="2"
inherit eutils
DESCRIPTION="A file archival tool which can also read and write tar files"
HOMEPAGE="https://www.gnu.org/software/cpio/cpio.html"
SRC_URI="mirror://gnu/cpio/${P}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE="nls"
src_prepare() {
epatch "${FILESDIR}"/${P}-stat.patch #328531
epatch "${FILESDIR}"/${P}-no-gets.patch #424974
}
src_configure() {
econf \
$(use_enable nls) \
--bindir=/bin \
--with-rmt=/usr/sbin/rmt
}
src_install() {
emake install DESTDIR="${D}" || die
dodoc ChangeLog NEWS README
rm "${D}"/usr/share/man/man1/mt.1 || die
rmdir "${D}"/usr/libexec || die
}

@ -0,0 +1,39 @@
https://lists.gnu.org/archive/html/bug-cpio/2015-06/msg00001.html
https://bugs.gentoo.org/554760
this fix is squashed into 0396591026410f91f7a81b4b150bc7285d9f2278
(as upstream doesn't seem to understand git)
>From bebf9662c406d1d137a66c567d8748b489d352e7 Mon Sep 17 00:00:00 2001
From: Pavel Raiskup <address@hidden>
Date: Thu, 4 Jun 2015 13:27:42 +0200
Subject: [PATCH] tests: fix expected output for old file
Thanks Victor Rodriguez. Upstream thread:
http://lists.gnu.org/archive/html/bug-cpio/2015-06/msg00000.html
* tests/symlink-bad-length.at (STDOUT): Expect the year string
'2014' is printed and not time because the file in archive is
older than 6 months.
* Thanks: Mention Victor.
---
THANKS | 1 +
tests/symlink-bad-length.at | 2 +-
2 files changed, 2 insertions(+), 1 deletion(-)
diff --git a/tests/symlink-bad-length.at b/tests/symlink-bad-length.at
index e1a7093..2cdc692 100644
--- a/tests/symlink-bad-length.at
+++ b/tests/symlink-bad-length.at
@@ -57,7 +57,7 @@ cat stderr | grep -v \
echo >&2 STDERR
],
[0],
-[-rw-rw-r-- 1 10029 10031 13 Nov 25 11:52 FILE
+[-rw-rw-r-- 1 10029 10031 13 Nov 25 2014 FILE
],[STDERR
])
--
2.1.0

@ -4,3 +4,4 @@ DIST gnupg-2.0.27.tar.bz2 4424679 SHA256 57646d3e4b919fa1e5c8f1c0cf5fe1215333041
DIST gnupg-2.0.28.tar.bz2 4435779 SHA256 ce092ee4ab58fd19b9fb34a460c07b06c348f4360dd5dd4886d041eb521a534c SHA512 7e786fe0648d5ea453f9c7524fec4bd7d5eec26d28f723acf3cb2f7ec9c400c339f0926a179411876c3f8e08b06942dcec643dc930caf58239bbd4932f4bd3c1 WHIRLPOOL ccf7427e54a545914e89677618055a114b4c9dc4db48669a2fc726fced98475df4ed27c93bd180f1250d147111ee663c736cdf4e1d8afdc40ed967cdffd0eb66
DIST gnupg-2.1.6.tar.bz2 4917722 SHA256 5e599ad542199f3bd733eed2b88a539d1b4c3beda2dbab0ff69f1896f52e92fd SHA512 ae8aafe770336c83badf5610fe37f4ddc488786e3604780627893b636161d8407f3fd782538799e2b2a02e31c97468464372017fa52b5d9ed1bd31c85d9b3763 WHIRLPOOL 2136c526242a4e741c0cbc9aec102ba634234efd679d62db9aae3b2ab8fe9f8ad9b8fdb7d1f2d43982e6a072d5f5072d0744d8bb434d61f49ff24e868c902f80
DIST gnupg-2.1.7.tar.bz2 4918583 SHA256 c18a3776d47fec98892d51d28b6574ef16bf0a25eabb0956231058aaf2e7846e SHA512 7c3efb9bd5d1509a9b2a6264293542b3d5db979bf443754f96d77322a96e18cba2ac6142665459d161eb7222fae44ce5b89eff88dca1c7abf47449fcafd3eb00 WHIRLPOOL da7ef3a02b186736c8d105ca627d2c889781465ecfdb4c4861f8af748a7d68a7c05a106c73bdfe44e7037807deb822c231d615cc1e1fcdd9b01e7632945ac094
DIST gnupg-2.1.8.tar.bz2 4900705 SHA256 a3b8d01e4690715d42e8f289493c85413766f3fa935e4fe7e5ff5b0f6e2781a3 SHA512 80176fda032c921d3716fba3d3a264f9951464fd578a9d8d60673585efef17e20eec4d026921ab7ab2d7bd4dbf0a2b94a33a58c07acb747eebcb758e42bafd57 WHIRLPOOL 32e2e959363529cfd9ca857f823970b6cdd6497a72515aa9e75c2a680c83acea55a38d8de19b16c7327f92c0ab326e76a37952014b317afe2689c211c0d1965b

@ -0,0 +1,169 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
inherit eutils flag-o-matic toolchain-funcs
DESCRIPTION="The GNU Privacy Guard, a GPL OpenPGP implementation"
HOMEPAGE="http://www.gnupg.org/"
MY_P="${P/_/-}"
SRC_URI="mirror://gnupg/gnupg/${MY_P}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~x86"
IUSE="bzip2 doc +gnutls ldap nls readline static selinux smartcard tools usb"
COMMON_DEPEND_LIBS="
dev-libs/npth
>=dev-libs/libassuan-2
>=dev-libs/libgcrypt-1.6.2[threads]
>=dev-libs/libgpg-error-1.17
>=dev-libs/libksba-1.0.7
>=net-misc/curl-7.10
gnutls? ( >=net-libs/gnutls-3.0 )
sys-libs/zlib
ldap? ( net-nds/openldap )
bzip2? ( app-arch/bzip2 )
readline? ( sys-libs/readline:= )
smartcard? ( usb? ( virtual/libusb:0 ) )
"
COMMON_DEPEND_BINS="app-crypt/pinentry
!app-crypt/dirmngr"
# Existence of executables is checked during configuration.
DEPEND="${COMMON_DEPEND_LIBS}
${COMMON_DEPEND_BINS}
static? (
>=dev-libs/libassuan-2[static-libs]
>=dev-libs/libgcrypt-1.6.2[static-libs]
>=dev-libs/libgpg-error-1.17[static-libs]
>=dev-libs/libksba-1.0.7[static-libs]
dev-libs/npth[static-libs]
>=net-misc/curl-7.10[static-libs]
sys-libs/zlib[static-libs]
bzip2? ( app-arch/bzip2[static-libs] )
)
nls? ( sys-devel/gettext )
doc? ( sys-apps/texinfo )"
RDEPEND="!static? ( ${COMMON_DEPEND_LIBS} )
${COMMON_DEPEND_BINS}
selinux? ( sec-policy/selinux-gpg )
nls? ( virtual/libintl )"
REQUIRED_USE="smartcard? ( !static )"
S="${WORKDIR}/${MY_P}"
src_prepare() {
epatch_user
}
src_configure() {
local myconf=()
# 'USE=static' support was requested:
# gnupg1: bug #29299
# gnupg2: bug #159623
use static && append-ldflags -static
if use smartcard; then
myconf+=(
--enable-scdaemon
$(use_enable usb ccid-driver)
)
else
myconf+=( --disable-scdaemon )
fi
if use elibc_SunOS || use elibc_AIX; then
myconf+=( --disable-symcryptrun )
else
myconf+=( --enable-symcryptrun )
fi
# glib fails and picks up clang's internal stdint.h causing weird errors
[[ ${CC} == clang ]] && export gl_cv_absolute_stdint_h=/usr/include/stdint.h
econf \
--docdir="${EPREFIX}/usr/share/doc/${PF}" \
--enable-gpg \
--enable-gpgsm \
--enable-large-secmem \
--without-adns \
"${myconf[@]}" \
$(use_enable bzip2) \
$(use_enable gnutls) \
$(use_with ldap) \
$(use_enable nls) \
$(use_with readline) \
CC_FOR_BUILD="$(tc-getBUILD_CC)"
}
src_compile() {
default
if use doc; then
cd doc
emake html
fi
}
src_install() {
default
use tools && dobin tools/{convert-from-106,gpg-check-pattern} \
tools/{gpg-zip,gpgconf,gpgsplit,lspgpot,mail-signed-keys,make-dns-cert}
emake DESTDIR="${D}" -f doc/Makefile uninstall-nobase_dist_docDATA
rm "${ED}"/usr/share/gnupg/help* || die
dodoc ChangeLog NEWS README THANKS TODO VERSION doc/FAQ doc/DETAILS \
doc/HACKING doc/TRANSLATE doc/OpenPGP doc/KEYSERVER doc/help*
dosym gpg2 /usr/bin/gpg
dosym gpgv2 /usr/bin/gpgv
echo ".so man1/gpg2.1" > "${ED}"/usr/share/man/man1/gpg.1
echo ".so man1/gpgv2.1" > "${ED}"/usr/share/man/man1/gpgv.1
dodir /etc/env.d
echo "CONFIG_PROTECT=/usr/share/gnupg/qualified.txt" >> "${ED}"/etc/env.d/30gnupg
if use doc; then
dohtml doc/gnupg.html/* doc/*.png
fi
}
pkg_postinst() {
elog "If you wish to view images emerge:"
elog "media-gfx/xloadimage, media-gfx/xli or any other viewer"
elog "Remember to use photo-viewer option in configuration file to activate"
elog "the right viewer."
elog
if use smartcard; then
elog "To use your OpenPGP smartcard (or token) with GnuPG you need one of"
use usb && elog " - a CCID-compatible reader, used directly through libusb;"
elog " - sys-apps/pcsc-lite and a compatible reader device;"
elog " - dev-libs/openct and a compatible reader device;"
elog " - a reader device and drivers exporting either PC/SC or CT-API interfaces."
elog ""
elog "General hint: you probably want to try installing sys-apps/pcsc-lite and"
elog "app-crypt/ccid first."
fi
ewarn "Please remember to restart gpg-agent if a different version"
ewarn "of the agent is currently used. If you are unsure of the gpg"
ewarn "agent you are using please run 'killall gpg-agent',"
ewarn "and to start a fresh daemon just run 'gpg-agent --daemon'."
if [[ -n ${REPLACING_VERSIONS} ]]; then
elog "If upgrading from a version prior than 2.1 you might have to re-import"
elog "secret keys after restarting the gpg-agent as the new version is using"
elog "a new storage mechanism."
elog "You can migrate the keys using gpg --import \$HOME/.gnupg/secring.gpg"
fi
}

@ -6,6 +6,11 @@
# for libvirtd, you may override this. Or if you only use libvirtd locally.
rc_need="net"
# The termination timeout (start-stop-daemon parameter "retry") ensures
# that the service will be terminated within a given time (25 + 5 seconds
# per default) when you are stopping the service.
#LIBVIRTD_TERMTIMEOUT="TERM/25/KILL/5"
# LIBVIRTD_OPTS
# You may want to add '--listen' to have libvirtd listen for tcp/ip connections
# if you want to use libvirt for remote control

@ -1,35 +1,38 @@
#!/sbin/runscript
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
description="Virtual Machine Management daemon (libvirt)"
LIBVIRTD_OPTS=${LIBVIRTD_OPTS:-"${LIBVIRTD_OPTS}"}
LIBVIRTD_TIMEOUT=${LIBVIRTD_TERMTIMEOUT:-"TERM/25/KILL/5"}
command="/usr/sbin/libvirtd"
command_args="-d ${LIBVIRTD_OPTS}"
start_stop_daemon_args="--env KRB5_KTNAME=/etc/libvirt/krb5.tab"
pidfile="/var/run/libvirtd.pid"
retry="${LIBVIRTD_TERMTIMEOUT}"
depend() {
USE_FLAG_FIREWALLD
use USE_FLAG_AVAHI USE_FLAG_ISCSI USE_FLAG_RBD dbus virtlockd
after ntp-client ntpd nfs nfsmount portmap rpc.statd iptables ip6tables ebtables corosync sanlock cgconfig xenconsoled
}
start() {
start_pre() {
# Test configuration directories in /etc/libvirt/ to be either not
# present or a directory, i.e. not a regular file, bug #532892
local has_errors=0
ebegin "Checking for suitable directories in \"/etc/libvirt\""
for dir in lxc nwfilter qemu storage; do
if [ -f /etc/libvirt/$dir ]; then
has_errors=1
eerror "/etc/libvirt/$dir was created as a regular file. It must be either"
eerror "a directory or not present for libvirtd to start up successfully."
return 1
fi
done
ebegin "Starting libvirtd"
start-stop-daemon --start \
--env KRB5_KTNAME=/etc/libvirt/krb5.tab \
--exec /usr/sbin/libvirtd --pidfile=/var/run/libvirtd.pid \
-- -d ${LIBVIRTD_OPTS}
eend $?
}
stop() {
ebegin "Stopping libvirtd without shutting down your VMs"
start-stop-daemon --stop --quiet --exec \
/usr/sbin/libvirtd --pidfile=/var/run/libvirtd.pid
eend $?
eend ${has_errors} "Please correct the error(s) above"
}

@ -28,7 +28,7 @@ else
SRC_URI+=" ${BACKPORTS:+
https://dev.gentoo.org/~cardoe/distfiles/${P}-${BACKPORTS}.tar.xz
https://dev.gentoo.org/~tamiko/distfiles/${P}-${BACKPORTS}.tar.xz}"
KEYWORDS="" # "~amd64 ~x86"
KEYWORDS="~amd64 ~x86"
SLOT="0/${PV}"
fi
S="${WORKDIR}/${P%_rc*}"

@ -1,2 +1 @@
DIST eselect-mesa-0.0.10.tar.gz 2214 SHA256 736c4360902ddf78d02c6153e558164f3e09cfe74953ae15b74c6ca1647aca7c SHA512 c039ca769a436ccb5a7f0271532d3bc988f29ba31784fc74d1a4dd230e4f9c6db7ef3b9b40a1341202d9641eca9278a73c74e13091f2370065dca7d3707d91c3 WHIRLPOOL 7687b1abab31ccd6a4cad4b585fad0d31b3b7a22e64e3169309824e3cf410ddfd92e8974085d3d01e5deaa884c14964e7af3468ab11b0f2a705657e46091a19e
DIST eselect-mesa-0.0.9.tar.gz 2217 SHA256 27adf2beff6f7cbd54004e4c27f9ac869e8c7bc72cb83c32acfbccf4119b2494 SHA512 3e00f7e0cc122c15d0c6878b3a3a006e8a8c032c81570fa31143c7e5e8feddc69afdb4f19207f6bc0755172b7cc5e96bcd4093d65218a387af30cfdf230abbf0 WHIRLPOOL bcbcdfdcf17808548ed31fb60fe4f16f26c2e88ab121a4f8a12a5b6c44b9faeb32736fd760e5acbbd90f5afadfcb63798f0f6c46a51540014c967ccf34ec43b7

@ -1,31 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=3
DESCRIPTION="Utility to change the Mesa OpenGL driver being used"
HOMEPAGE="https://www.gentoo.org/"
SRC_URI="mirror://gentoo/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
IUSE=""
DEPEND=""
RDEPEND=">=app-admin/eselect-1.2.4
>=app-shells/bash-4"
src_install() {
insinto /usr/share/eselect/modules
doins mesa.eselect || die
}
pkg_postinst() {
if has_version ">=media-libs/mesa-7.9" && \
! [ -f "${EROOT}"/usr/share/mesa/eselect-mesa.conf ]; then
eerror "Rebuild media-libs/mesa for ${PN} to work."
fi
}

@ -1,28 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
inherit eutils
DESCRIPTION="mpost module for eselect"
HOMEPAGE="https://www.gentoo.org/proj/en/eselect/"
SRC_URI=""
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~ppc ~ppc64 s390 sh sparc x86 ~x86-fbsd"
IUSE=""
DEPEND=""
# Depend on texlive-core-2008 that allows usage of this module, otherwise it
# will not work so nicely.
RDEPEND=">=app-admin/eselect-1.0.5
>=app-text/texlive-core-2008"
src_install() {
local MODULEDIR="/usr/share/eselect/modules"
local MODULE="mpost"
dodir ${MODULEDIR}
insinto ${MODULEDIR}
newins "${FILESDIR}/${MODULE}.eselect-${PVR}" ${MODULE}.eselect || die "failed to install"
}

@ -1,29 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
inherit eutils
DESCRIPTION="mpost module for eselect"
HOMEPAGE="https://www.gentoo.org/proj/en/eselect/"
SRC_URI=""
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
IUSE=""
DEPEND=""
# Depend on texlive-core-2008 that allows usage of this module, otherwise it
# will not work so nicely.
RDEPEND=">=app-admin/eselect-1.2.3
>=app-text/texlive-core-2008"
src_install() {
local MODULEDIR="/usr/share/eselect/modules"
local MODULE="mpost"
dodir ${MODULEDIR}
insinto ${MODULEDIR}
newins "${FILESDIR}/${MODULE}.eselect-${PVR}" ${MODULE}.eselect \
|| die "failed to install"
}

@ -1,153 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
DESCRIPTION="Manage /usr/bin/mpost implementations"
MAINTAINER="ml@gentoo.org"
SVN_DATE='$Date: 2015/03/31 16:51:56 $'
VERSION=$(svn_date_to_version "${SVN_DATE}" )
# find a list of mpost symlink targets, best first
find_targets() {
local f
for f in "${ROOT}"/usr/bin/mpost-*; do
if [[ -f ${f} ]] ; then
echo "${f##*/mpost-}"
fi
done | sort
}
# find version number of currently symlinked version
identify_target() {
local f
f="$(canonicalise "${ROOT}"/usr/bin/mpost)"
echo "${f##*/mpost-}"
}
# try to remove the mpost symlink
remove_symlinks() {
rm -f "${ROOT}"/usr/bin/mpost &>/dev/null
}
# set the mpost symlink
set_symlinks() {
local target="${1}" targets
if is_number "${target}" && [[ ${target} -ge 1 ]] ; then
targets=( $(find_targets ) )
target=${targets[$(( ${target} - 1 ))]}
fi
if [[ -f "${ROOT}/usr/bin/mpost-${target}" ]] ; then
remove_symlinks
ln -s "mpost-${target}" "${ROOT}/usr/bin/mpost" || \
die "Could not set ${target} /usr/bin/mpost symlink"
echo "Updating TeX formats"
[ -z "${ROOT}" ] && fmtutil-sys --all &>/dev/null || write_warning_msg "Could not update TeX formats for some reason, mpost may not work properly."
else
die -q "Target \"${target}\" doesn't appear to be valid!"
fi
}
### show action ###
describe_show() {
echo "Show the current mpost version"
}
do_show() {
[[ -z "${@}" ]] || die -q "Too many parameters"
write_list_start "Current mpost verson:"
if [[ -L "${ROOT}/usr/bin/mpost" ]] ; then
write_kv_list_entry "$(identify_target)" ""
elif [[ -e "${ROOT}/usr/bin/mpost" ]] ; then
write_kv_list_entry "(not a symlink)" ""
else
write_kv_list_entry "(unset)" ""
fi
}
### list action ###
describe_list() {
echo "List available mpost versions"
}
do_list() {
[[ -z "${@}" ]] || die -q "Too many parameters"
local i targets current
targets=( $(find_targets ) )
current=$(identify_target)
if [[ -n ${targets[@]} ]] ; then
for (( i = 0 ; i < ${#targets[@]} ; i = i + 1 )) ; do
[[ ${targets[${i}]} == ${current} ]] && \
targets[${i}]="${targets[${i}]} $(highlight '*' )"
done
write_list_start "Available mpost versions:"
write_numbered_list "${targets[@]}"
else
write_kv_list_entry "(none found)" ""
fi
}
### set action ###
describe_set() {
echo "Set a new mpost version"
}
describe_set_options() {
echo "target : Target version number or index from 'list' action"
}
describe_set_parameters() {
echo "<target>"
}
do_set() {
if [[ -z "${1}" ]] ; then
die -q "You didn't give me a version number"
elif [[ -n "${2}" ]] ; then
die -q "Too many parameters"
elif [[ -L "${ROOT}/usr/bin/mpost" ]] ; then
if ! remove_symlinks ; then
die -q "Can't remove existing version symlink"
elif ! set_symlinks "${1}" ; then
die -q "Can't set new version"
fi
elif [[ -e "${ROOT}/usr/bin/mpost" ]] ; then
die -q "${ROOT}/usr/bin/mpost seems to be from an old ebuild, please remove manually"
else
set_symlinks "${1}" || die -q "Can't set new version"
fi
}
### update action ###
describe_update() {
echo "Automatically update the mpost version number"
}
describe_update_options() {
echo "--if-unset : Do not override currently selected version"
}
do_update() {
[[ -z "${1}" ]] || ( [[ -z "${2}" ]] && [[ "${1}" == "--if-unset" ]] ) || \
die -q "Usage error"
if [[ -L "${ROOT}/usr/bin/mpost" ]] ; then
[[ ${1} == "--if-unset" ]] && return
remove_symlinks || die -q "Can't remove existing symlink"
fi
if [[ -e "${ROOT}/usr/bin/mpost" ]] ; then
die -q "${ROOT}/usr/bin/mpost seems to be from an old ebuild, please remove manually"
elif ! [[ -z $(find_targets ) ]] ; then
set_symlinks 1 || die -q "Can't set a new version"
fi
}
# vim: set ft=eselect :

@ -1,148 +0,0 @@
# -*-eselect-*- vim: ft=eselect
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
DESCRIPTION="Manage /usr/bin/mpost implementations"
MAINTAINER="ml@gentoo.org"
SVN_DATE='$Date: 2015/03/31 16:51:56 $'
VERSION=$(svn_date_to_version "${SVN_DATE}" )
# find a list of mpost symlink targets, best first
find_targets() {
local f
for f in "${ROOT}"/usr/bin/mpost-*; do
if [[ -f ${f} ]] ; then
echo "${f##*/mpost-}"
fi
done | sort
}
# find version number of currently symlinked version
identify_target() {
local f
f="$(canonicalise "${ROOT}"/usr/bin/mpost)"
echo "${f##*/mpost-}"
}
# try to remove the mpost symlink
remove_symlinks() {
rm -f "${ROOT}"/usr/bin/mpost &>/dev/null
}
# set the mpost symlink
set_symlinks() {
local target="${1}" targets
if is_number "${target}" && [[ ${target} -ge 1 ]] ; then
targets=( $(find_targets ) )
target=${targets[$(( ${target} - 1 ))]}
fi
if [[ -f "${ROOT}/usr/bin/mpost-${target}" ]] ; then
remove_symlinks
ln -s "mpost-${target}" "${ROOT}/usr/bin/mpost" || \
die "Could not set ${target} /usr/bin/mpost symlink"
echo "Updating TeX formats"
[ -z "${ROOT}" ] && fmtutil-sys --all &>/dev/null || write_warning_msg "Could not update TeX formats for some reason, mpost may not work properly."
else
die -q "Target \"${target}\" doesn't appear to be valid!"
fi
}
### show action ###
describe_show() {
echo "Show the current mpost version"
}
do_show() {
[[ -z "${@}" ]] || die -q "Too many parameters"
write_list_start "Current mpost verson:"
if [[ -L "${ROOT}/usr/bin/mpost" ]] ; then
write_kv_list_entry "$(identify_target)" ""
elif [[ -e "${ROOT}/usr/bin/mpost" ]] ; then
write_kv_list_entry "(not a symlink)" ""
else
write_kv_list_entry "(unset)" ""
fi
}
### list action ###
describe_list() {
echo "List available mpost versions"
}
do_list() {
[[ -z "${@}" ]] || die -q "Too many parameters"
local i targets current
targets=( $(find_targets ) )
current=$(identify_target)
for (( i = 0; i < ${#targets[@]}; i++ )); do
[[ ${targets[i]} = ${current} ]] \
&& targets[i]=$(highlight_marker "${targets[i]}")
done
write_list_start "Available mpost versions:"
write_numbered_list -m "(none found)" "${targets[@]}"
}
### set action ###
describe_set() {
echo "Set a new mpost version"
}
describe_set_options() {
echo "target : Target version number or index from 'list' action"
}
describe_set_parameters() {
echo "<target>"
}
do_set() {
if [[ -z "${1}" ]] ; then
die -q "You didn't give me a version number"
elif [[ -n "${2}" ]] ; then
die -q "Too many parameters"
elif [[ -L "${ROOT}/usr/bin/mpost" ]] ; then
if ! remove_symlinks ; then
die -q "Can't remove existing version symlink"
elif ! set_symlinks "${1}" ; then
die -q "Can't set new version"
fi
elif [[ -e "${ROOT}/usr/bin/mpost" ]] ; then
die -q "${ROOT}/usr/bin/mpost seems to be from an old ebuild, please remove manually"
else
set_symlinks "${1}" || die -q "Can't set new version"
fi
}
### update action ###
describe_update() {
echo "Automatically update the mpost version number"
}
describe_update_options() {
echo "--if-unset : Do not override currently selected version"
}
do_update() {
[[ -z "${1}" ]] || ( [[ -z "${2}" ]] && [[ "${1}" == "--if-unset" ]] ) || \
die -q "Usage error"
if [[ -L "${ROOT}/usr/bin/mpost" ]] ; then
[[ ${1} == "--if-unset" ]] && return
remove_symlinks || die -q "Can't remove existing symlink"
fi
if [[ -e "${ROOT}/usr/bin/mpost" ]] ; then
die -q "${ROOT}/usr/bin/mpost seems to be from an old ebuild, please remove manually"
elif ! [[ -z $(find_targets ) ]] ; then
set_symlinks 1 || die -q "Can't set a new version"
fi
}

@ -1,2 +1 @@
DIST eselect-php-0.6.2.bz2 1454 SHA256 c4eecb73aaf50538a8eaf8afb0d52b3666b45ef19e5f26f7998682bac56566c4 SHA512 cb2639ddf97c77336195db57a9a5021200693ee4f1382d7ed6cda22a27f5b0f76be88abf376e13245a72223c12065d019e0537494f934f9cbe40e0fdcbfe2b22 WHIRLPOOL 523f3a0c30705599ee91c5ce0a691c140226a18c0a1ba73df4a0f9835a92644748a0f0ed73f1ea101de65cf270947f054a8feeb3c36609f644f8682d611aaa11
DIST eselect-php-0.7.1.bz2 2251 SHA256 10aa400e2d08bc71989366993f12ddb546a0ea29f191c40e37beba1d11d7abd7 SHA512 a6b4c1475dda9f368d799db7658c50cef7d6f71482a53a186fb1394e7ea1fff3c0ef123c82b7ca4d1e45aadb0a034d36f213fc9450766878a60d28639761cb3d WHIRLPOOL a4e45492068616ff30fd888b0cc64441a6eb6e6656e0107d00bd2cf15360dce15052d4d62089ab89d43e6bb36e126529aa101c70e8bd94a9fc916a5369463e3b

@ -1,24 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=3
DESCRIPTION="PHP eselect module"
HOMEPAGE="https://www.gentoo.org"
SRC_URI="http://olemarkus.org/~olemarkus/gentoo/eselect-php-${PV}.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 ~s390 ~sh sparc x86"
IUSE=""
DEPEND=">=app-admin/eselect-1.2.4
!app-admin/php-toolkit"
RDEPEND="${DEPEND}"
src_install() {
mv eselect-php-${PV} php.eselect
insinto /usr/share/eselect/modules/
doins php.eselect
}

@ -1,49 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit depend.apache systemd
DESCRIPTION="PHP eselect module"
HOMEPAGE="https://www.gentoo.org"
SRC_URI="https://dev.gentoo.org/~olemarkus/eselect-php/eselect-php-${PV}.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="fpm apache2"
DEPEND=">=app-admin/eselect-1.2.4
!<dev-lang/php-5.3.23-r1:5.3
!<dev-lang/php-5.4.13-r1:5.4
!<dev-lang/php-5.5.0_beta1-r2:5.5
"
RDEPEND="${DEPEND}"
S="${WORKDIR}"
want_apache
src_install() {
mv eselect-php-${PV} php.eselect
insinto /usr/share/eselect/modules/
doins php.eselect
if use apache2 ; then
insinto "${APACHE_MODULES_CONFDIR#${EPREFIX}}"
newins "${FILESDIR}/70_mod_php5.conf-apache2" \
"70_mod_php5.conf"
fi
if use fpm ; then
dodir "/etc/init.d"
insinto "/etc/init.d"
newinitd "${FILESDIR}/php-fpm.init" "php-fpm"
systemd_newunit "${FILESDIR}/php-fpm_at.service" "php-fpm@.service"
systemd_dotmpfilesd "${FILESDIR}/php-fpm.conf"
exeinto /usr/libexec
doexe "${FILESDIR}/php-fpm-launcher"
fi
}

@ -1,49 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit depend.apache systemd
DESCRIPTION="PHP eselect module"
HOMEPAGE="https://www.gentoo.org"
SRC_URI="https://dev.gentoo.org/~olemarkus/eselect-php/eselect-php-${PV}.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="fpm apache2"
DEPEND=">=app-admin/eselect-1.2.4
!<dev-lang/php-5.3.23-r1:5.3
!<dev-lang/php-5.4.13-r1:5.4
!<dev-lang/php-5.5.0_beta1-r2:5.5
"
RDEPEND="${DEPEND}"
S="${WORKDIR}"
want_apache
src_install() {
mv eselect-php-${PV} php.eselect
insinto /usr/share/eselect/modules/
doins php.eselect
if use apache2 ; then
insinto "${APACHE_MODULES_CONFDIR#${EPREFIX}}"
newins "${FILESDIR}/70_mod_php5.conf-apache2" \
"70_mod_php5.conf"
fi
if use fpm ; then
dodir "/etc/init.d"
insinto "/etc/init.d"
newinitd "${FILESDIR}/php-fpm-r1.init" "php-fpm"
systemd_newunit "${FILESDIR}/php-fpm_at.service" "php-fpm@.service"
systemd_dotmpfilesd "${FILESDIR}/php-fpm.conf"
exeinto /usr/libexec
doexe "${FILESDIR}/php-fpm-launcher"
fi
}

@ -1,48 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit depend.apache systemd
DESCRIPTION="PHP eselect module"
HOMEPAGE="https://www.gentoo.org"
SRC_URI="https://dev.gentoo.org/~olemarkus/eselect-php/eselect-php-${PV}.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="fpm apache2"
DEPEND=">=app-admin/eselect-1.2.4
!<dev-lang/php-5.3.23-r1:5.3
!<dev-lang/php-5.4.13-r1:5.4
!<dev-lang/php-5.5.0_beta1-r2:5.5
"
RDEPEND="${DEPEND}"
S="${WORKDIR}"
want_apache
src_install() {
mv eselect-php-${PV} php.eselect
insinto /usr/share/eselect/modules/
doins php.eselect
if use apache2 ; then
insinto "${APACHE_MODULES_CONFDIR#${EPREFIX}}"
newins "${FILESDIR}/70_mod_php5.conf-apache2" \
"70_mod_php5.conf"
fi
if use fpm ; then
dodir "/etc/init.d"
insinto "/etc/init.d"
newinitd "${FILESDIR}/php-fpm-r1.init" "php-fpm"
systemd_dotmpfilesd "${FILESDIR}/php-fpm.conf"
exeinto /usr/libexec
doexe "${FILESDIR}/php-fpm-launcher"
fi
}

@ -1,45 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit depend.apache
DESCRIPTION="PHP eselect module"
HOMEPAGE="https://www.gentoo.org"
SRC_URI="https://dev.gentoo.org/~olemarkus/eselect-php/eselect-php-${PV}.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="fpm apache2"
DEPEND=">=app-admin/eselect-1.2.4
!<dev-lang/php-5.3.23-r1:5.3
!<dev-lang/php-5.4.13-r1:5.4
!<dev-lang/php-5.5.0_beta1-r2:5.5
"
RDEPEND="${DEPEND}"
S="${WORKDIR}"
want_apache
src_install() {
mv eselect-php-${PV} php.eselect
insinto /usr/share/eselect/modules/
doins php.eselect
if use apache2 ; then
insinto "${APACHE_MODULES_CONFDIR#${EPREFIX}}"
newins "${FILESDIR}/70_mod_php5.conf-apache2" \
"70_mod_php5.conf"
fi
if use fpm ; then
dodir "/etc/init.d"
insinto "/etc/init.d"
newinitd "${FILESDIR}/php-fpm.init" "php-fpm"
fi
}

@ -1,14 +0,0 @@
<IfDefine PHP5>
# Load the module first
<IfModule !mod_php5.c>
LoadModule php5_module modules/libphp5.so
</IfModule>
# Set it to handle the files
<IfModule mod_mime.c>
AddHandler application/x-httpd-php .php .php5 .phtml
AddHandler application/x-httpd-php-source .phps
</IfModule>
DirectoryIndex index.php index.phtml
</IfDefine>

@ -1,47 +0,0 @@
#!/sbin/runscript
set_phpvars() {
PHPSLOT=${SVCNAME#php-fpm-}
[ ${PHPSLOT} = 'php-fpm' ] && PHPSLOT="$(eselect php show fpm)"
PHP_FPM_CONF="/etc/php/fpm-${PHPSLOT}/php-fpm.conf"
PHP_FPM_PID="/var/run/php-fpm-${PHPSLOT}.pid"
}
extra_commands="depend"
extra_started_commands="reload"
depend() {
need net
use apache2 lighttpd nginx
}
start() {
ebegin "Starting PHP FastCGI Process Manager"
set_phpvars
start-stop-daemon --start --pidfile ${PHP_FPM_PID} --exec \
/usr/lib/${PHPSLOT}/bin/php-fpm -- -y "${PHP_FPM_CONF}" -g "${PHP_FPM_PID}"
local i=0
local timeout=5
while [ ! -f ${PHP_FPM_PID} ] && [ $i -le $timeout ]; do
sleep 1
i=$(($i + 1))
done
[ $timeout -gt $i ]
eend $?
}
stop() {
ebegin "Stopping PHP FastCGI Process Manager"
set_phpvars
start-stop-daemon --signal QUIT --stop --exec /usr/lib/${PHPSLOT}/bin/php-fpm --pidfile ${PHP_FPM_PID}
eend $?
}
reload() {
ebegin "Reloading PHP FastCGI Process Manager"
set_phpvars
[ -f ${PHP_FPM_PID} ] && kill -USR2 $(cat ${PHP_FPM_PID})
eend $?
}

@ -1,3 +1 @@
DIST timidity.eselect-20061203.bz2 1673 SHA256 ad16938191e4f1e70f9775b6b112fbe25a92f948ca4b6ccce342b34a8acf8197 SHA512 6fce1c117120eae0e4538dc7459161a8bbfabb2dbb79a52b643a462a6ef3c05bc0e03bf05cd14785941638a60d7259bdb3afba3b3855dd0b5032855bf57ad9f7 WHIRLPOOL e85fbf127ebe29e997512cd5d584d19da910d3edeb8ebb52b08bf474cfdb706888a2ad10ad6c8d5c13e1bc5122e607eaf4e236bf73e9c2cb7d1b947734409422
DIST timidity.eselect-20091106.bz2 1663 SHA256 5b72deaa2fb6ef51ec6196d6d50eea4b9ef38ea1779cd59a7914ad73912b1e93 SHA512 35a2682b86b4b0f4dd169be7fdb28e190782375e3071c086c865d7eb8e1e7b1dbe8b967d1169b8fa8bdd576e0b6ee4c00c2f9ff463c8419d5f5226bd802f2275 WHIRLPOOL efc5fd26f8f0111b916d1bd029c4b48340e59c7f90816b5ad32b967a5f8b9c12c24198f5f4238daa2b0c59e57107305519dc64c64750573542372b293eeb821c
DIST timidity.eselect-20110513.bz2 1689 SHA256 76b4303e12540361dad180fe9d2eaf9ba0223c7e6cf9331138bc4415ca8eae6e SHA512 9af37f195dde3595cb55e3ca467928fd04b5f755545cf41ce0b3198a21107ad35e28365c1d310a77561f8ffcb1b10909b618fbdc55ca06b77492711b48c17afe WHIRLPOOL 0fef11a89e0e5b395d32dff9f972e2260a696e2c8dcd81f5054807cdabdea78660b3d3a08f7164a8351c32c8abd1b5a8ade7e4fcc2c75313c45e342e1c18223d

@ -1,19 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
DESCRIPTION="Manages configuration of TiMidity++ patchsets"
HOMEPAGE="https://www.gentoo.org/"
SRC_URI="mirror://gentoo/timidity.eselect-${PVR}.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 arm hppa ppc ppc64 sparc x86 ~x86-fbsd"
IUSE=""
RDEPEND=">=app-admin/eselect-1.0.2"
src_install() {
insinto /usr/share/eselect/modules
newins "${WORKDIR}/timidity.eselect-${PVR}" timidity.eselect || die
}

@ -1,19 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
DESCRIPTION="Manages configuration of TiMidity++ patchsets"
HOMEPAGE="https://www.gentoo.org/"
SRC_URI="mirror://gentoo/timidity.eselect-${PVR}.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE=""
RDEPEND=">=app-admin/eselect-1.2.3"
src_install() {
insinto /usr/share/eselect/modules
newins "${WORKDIR}/timidity.eselect-${PVR}" timidity.eselect || die
}

@ -1,25 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
inherit eutils
DESCRIPTION="unison module for eselect"
HOMEPAGE="https://www.gentoo.org/proj/en/eselect/"
SRC_URI=""
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc x86"
IUSE=""
DEPEND=""
RDEPEND=">=app-admin/eselect-1.0.5"
src_install() {
local MODULEDIR="/usr/share/eselect/modules"
local MODULE="unison"
dodir ${MODULEDIR}
insinto ${MODULEDIR}
newins "${FILESDIR}/${MODULE}.eselect-${PVR}" ${MODULE}.eselect || die "failed to install"
}

@ -1,26 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
inherit eutils
DESCRIPTION="unison module for eselect"
HOMEPAGE="https://www.gentoo.org/proj/en/eselect/"
SRC_URI=""
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""
DEPEND=""
RDEPEND=">=app-admin/eselect-1.2.3"
src_install() {
local MODULEDIR="/usr/share/eselect/modules"
local MODULE="unison"
dodir ${MODULEDIR}
insinto ${MODULEDIR}
newins "${FILESDIR}/${MODULE}.eselect-${PVR}" ${MODULE}.eselect \
|| die "failed to install"
}

@ -1,152 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
DESCRIPTION="Manage /usr/bin/unison versions"
MAINTAINER="ml@gentoo.org"
SVN_DATE='$Date: 2015/03/31 16:57:32 $'
VERSION=$(svn_date_to_version "${SVN_DATE}" )
# find a list of unison symlink targets, best first
find_targets() {
local f
for f in "${ROOT}"/usr/bin/unison-[0-9]*; do
if [[ -f ${f} ]] ; then
echo "${f##*/unison-}"
fi
done | tac
}
# find version number of currently symlinked version
identify_target() {
local f
f="$(canonicalise "${ROOT}"/usr/bin/unison)"
echo "${f##*/unison-}"
}
# try to remove the unison symlink
remove_symlinks() {
rm -f "${ROOT}"/usr/bin/unison &>/dev/null
}
# set the unison symlink
set_symlinks() {
local target="${1}" targets
if is_number "${target}" && [[ ${target} -ge 1 ]] ; then
targets=( $(find_targets ) )
target=${targets[$(( ${target} - 1 ))]}
fi
if [[ -f "${ROOT}/usr/bin/unison-${target}" ]] ; then
remove_symlinks
ln -s "unison-${target}" "${ROOT}/usr/bin/unison" || \
die "Could not set ${target} /usr/bin/unison symlink"
else
die -q "Target \"${target}\" doesn't appear to be valid!"
fi
}
### show action ###
describe_show() {
echo "Show the current unison version"
}
do_show() {
[[ -z "${@}" ]] || die -q "Too many parameters"
write_list_start "Current unison verson:"
if [[ -L "${ROOT}/usr/bin/unison" ]] ; then
write_kv_list_entry "$(identify_target)" ""
elif [[ -e "${ROOT}/usr/bin/unison" ]] ; then
write_kv_list_entry "(not a symlink)" ""
else
write_kv_list_entry "(unset)" ""
fi
}
### list action ###
describe_list() {
echo "List available unison versions"
}
do_list() {
[[ -z "${@}" ]] || die -q "Too many parameters"
local i targets current
targets=( $(find_targets ) )
current=$(identify_target)
if [[ -n ${targets[@]} ]] ; then
for (( i = 0 ; i < ${#targets[@]} ; i = i + 1 )) ; do
[[ ${targets[${i}]} == ${current} ]] && \
targets[${i}]="${targets[${i}]} $(highlight '*' )"
done
write_list_start "Available unison versions:"
write_numbered_list "${targets[@]}"
else
write_kv_list_entry "(none found)" ""
fi
}
### set action ###
describe_set() {
echo "Set a new unison version"
}
describe_set_options() {
echo "target : Target version number or index from 'list' action"
}
describe_set_parameters() {
echo "<target>"
}
do_set() {
if [[ -z "${1}" ]] ; then
die -q "You didn't give me a version number"
elif [[ -n "${2}" ]] ; then
die -q "Too many parameters"
elif [[ -L "${ROOT}/usr/bin/unison" ]] ; then
if ! remove_symlinks ; then
die -q "Can't remove existing version symlink"
elif ! set_symlinks "${1}" ; then
die -q "Can't set new version"
fi
elif [[ -e "${ROOT}/usr/bin/unison" ]] ; then
die -q "${ROOT}/usr/bin/unison seems to be from an old ebuild, please remove manually"
else
set_symlinks "${1}" || die -q "Can't set new version"
fi
}
### update action ###
describe_update() {
echo "Automatically update the unison version number"
}
describe_update_options() {
echo "--if-unset : Do not override currently selected version"
}
do_update() {
[[ -z "${1}" ]] || ( [[ -z "${2}" ]] && [[ "${1}" == "--if-unset" ]] ) || \
die -q "Usage error"
if [[ -L "${ROOT}/usr/bin/unison" ]] ; then
[[ ${1} == "--if-unset" ]] && return
remove_symlinks || die -q "Can't remove existing symlink"
fi
if [[ -e "${ROOT}/usr/bin/unison" ]] ; then
die -q "${ROOT}/usr/bin/unison seems to be from an old ebuild, please remove manually"
elif ! [[ -z $(find_targets ) ]] ; then
set_symlinks 1 || die -q "Can't set a new version"
fi
}
# vim: set ft=eselect :

@ -1,147 +0,0 @@
# -*-eselect-*- vim: ft=eselect
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
DESCRIPTION="Manage /usr/bin/unison versions"
MAINTAINER="ml@gentoo.org"
SVN_DATE='$Date: 2015/03/31 16:57:32 $'
VERSION=$(svn_date_to_version "${SVN_DATE}" )
# find a list of unison symlink targets, best first
find_targets() {
local f
for f in "${ROOT}"/usr/bin/unison-[0-9]*; do
if [[ -f ${f} ]] ; then
echo "${f##*/unison-}"
fi
done | tac
}
# find version number of currently symlinked version
identify_target() {
local f
f="$(canonicalise "${ROOT}"/usr/bin/unison)"
echo "${f##*/unison-}"
}
# try to remove the unison symlink
remove_symlinks() {
rm -f "${ROOT}"/usr/bin/unison &>/dev/null
}
# set the unison symlink
set_symlinks() {
local target="${1}" targets
if is_number "${target}" && [[ ${target} -ge 1 ]] ; then
targets=( $(find_targets ) )
target=${targets[$(( ${target} - 1 ))]}
fi
if [[ -f "${ROOT}/usr/bin/unison-${target}" ]] ; then
remove_symlinks
ln -s "unison-${target}" "${ROOT}/usr/bin/unison" || \
die "Could not set ${target} /usr/bin/unison symlink"
else
die -q "Target \"${target}\" doesn't appear to be valid!"
fi
}
### show action ###
describe_show() {
echo "Show the current unison version"
}
do_show() {
[[ -z "${@}" ]] || die -q "Too many parameters"
write_list_start "Current unison verson:"
if [[ -L "${ROOT}/usr/bin/unison" ]] ; then
write_kv_list_entry "$(identify_target)" ""
elif [[ -e "${ROOT}/usr/bin/unison" ]] ; then
write_kv_list_entry "(not a symlink)" ""
else
write_kv_list_entry "(unset)" ""
fi
}
### list action ###
describe_list() {
echo "List available unison versions"
}
do_list() {
[[ $# -eq 0 ]] || die -q "Too many parameters"
local i targets current
targets=( $(find_targets ) )
current=$(identify_target)
for (( i = 0; i < ${#targets[@]}; i++ )); do
[[ ${targets[i]} = ${current} ]] \
&& targets[i]=$(highlight_marker "${targets[i]}")
done
write_list_start "Available unison versions:"
write_numbered_list -m "(none found)" "${targets[@]}"
}
### set action ###
describe_set() {
echo "Set a new unison version"
}
describe_set_options() {
echo "target : Target version number or index from 'list' action"
}
describe_set_parameters() {
echo "<target>"
}
do_set() {
if [[ -z "${1}" ]] ; then
die -q "You didn't give me a version number"
elif [[ -n "${2}" ]] ; then
die -q "Too many parameters"
elif [[ -L "${ROOT}/usr/bin/unison" ]] ; then
if ! remove_symlinks ; then
die -q "Can't remove existing version symlink"
elif ! set_symlinks "${1}" ; then
die -q "Can't set new version"
fi
elif [[ -e "${ROOT}/usr/bin/unison" ]] ; then
die -q "${ROOT}/usr/bin/unison seems to be from an old ebuild, please remove manually"
else
set_symlinks "${1}" || die -q "Can't set new version"
fi
}
### update action ###
describe_update() {
echo "Automatically update the unison version number"
}
describe_update_options() {
echo "--if-unset : Do not override currently selected version"
}
do_update() {
[[ -z "${1}" ]] || ( [[ -z "${2}" ]] && [[ "${1}" == "--if-unset" ]] ) || \
die -q "Usage error"
if [[ -L "${ROOT}/usr/bin/unison" ]] ; then
[[ ${1} == "--if-unset" ]] && return
remove_symlinks || die -q "Can't remove existing symlink"
fi
if [[ -e "${ROOT}/usr/bin/unison" ]] ; then
die -q "${ROOT}/usr/bin/unison seems to be from an old ebuild, please remove manually"
elif ! [[ -z $(find_targets ) ]] ; then
set_symlinks 1 || die -q "Can't set a new version"
fi
}

@ -1,3 +1 @@
DIST eselect-wxwidgets-20140423.tar.xz 6792 SHA256 e97d5734f4b0e314abdaa1a9ee148cdafed74e1cdc036e01e6ac74599736e1bb SHA512 0d83e0b6979803c8a02c20ac33a42c91fd8d350c095e26704a80c1913309f0e7d741cc466ab22e0a6ce4773deab21ca80756299a12a83d441ded968531003d0e WHIRLPOOL 31108a15a0f3774c7a5959de946c741b758d818f1dbf09f96d633e354c086863684f431a6ac59a63f559f0c65482f790a95c7dc431dc91b7b48ec4e4a2c9c730
DIST wxwidgets.eselect-1.4.bz2 2375 SHA256 630d2a79e3c1a124a124a81db1213e1c036a5c49a5bf06a328b164d997725386 SHA512 02cd876c040d2ea2589527530e7c570c94a1ca7cae867488ec5cf4509d21386d89cb128364aff80d64d0aa29e334209f02abb6e7baf890ff9bb0c22f606fc8fd WHIRLPOOL a3d0c88cba4634d1b390f912b3bc1750f2ef06cf2d5865c3a5c958538f7fc0c664edb59693340d5c7a1e3cb4e49737400a932c14841a77ec19bff07860d99514
DIST wxwidgets.eselect-20131230.bz2 2228 SHA256 7c3c87931b6887cf1e6c486b17fb71fefcdf6fcf8089fe09d7f70ae17e3e0722 SHA512 0406cfbc5c39d2e65b22d0e8d70ea08ea9e348342d7bc1725dd8655fdedd883fd29e14263ad95737523d6285e081ef4558c4dec00c4a9ea9b9ef01ce537978e5 WHIRLPOOL 60a0ea44ddf1faab42a63f3717aa9d1234713eb40897025b7de8ad7f64f3a77c3399f084eb3a67e236b42963d7d793f0026ea17c10ffd3328fa109218a3deebe

@ -1,51 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
WXWRAP_VER=1.3
WXESELECT_VER=1.4
DESCRIPTION="Eselect module and wrappers for wxWidgets"
HOMEPAGE="https://www.gentoo.org"
SRC_URI="mirror://gentoo/wxwidgets.eselect-${WXESELECT_VER}.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~amd64-fbsd ~x86-fbsd"
IUSE=""
DEPEND="!<=x11-libs/wxGTK-2.6.4.0-r2"
RDEPEND=">=app-admin/eselect-1.2.3"
S=${WORKDIR}
src_install() {
insinto /usr/share/eselect/modules
newins "${S}"/wxwidgets.eselect-${WXESELECT_VER} wxwidgets.eselect \
|| die "Failed installing module"
insinto /usr/share/aclocal
newins "${FILESDIR}"/wxwin.m4-2.9 wxwin.m4 || die "Failed installing m4"
newbin "${FILESDIR}"/wx-config-${WXWRAP_VER} wx-config \
|| die "Failed installing wx-config"
newbin "${FILESDIR}"/wxrc-${WXWRAP_VER} wxrc \
|| die "Failed installing wxrc"
keepdir /var/lib/wxwidgets
keepdir /usr/share/bakefile/presets
}
pkg_postinst() {
if [[ ! -e ${ROOT}/var/lib/wxwidgets/current ]]; then
echo 'WXCONFIG="none"' > "${ROOT}"/var/lib/wxwidgets/current
fi
echo
elog "By default the system wxWidgets profile is set to \"none\"."
elog
elog "It is unnecessary to change this unless you are doing development work"
elog "with wxGTK outside of portage. The package manager ignores the profile"
elog "setting altogether."
echo
}

@ -1,45 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
WXWRAP_VER=1.3
DESCRIPTION="Eselect module and wrappers for wxWidgets"
HOMEPAGE="https://www.gentoo.org"
SRC_URI="https://dev.gentoo.org/~dirtyepic/dist/wxwidgets.eselect-${PV}.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd"
IUSE=""
RDEPEND="app-admin/eselect"
S="${WORKDIR}"
src_install() {
insinto /usr/share/eselect/modules
newins "${S}"/wxwidgets.eselect-${PV} wxwidgets.eselect
insinto /usr/share/aclocal
newins "${FILESDIR}"/wxwin.m4-3.0 wxwin.m4
newbin "${FILESDIR}"/wx-config-${WXWRAP_VER} wx-config
newbin "${FILESDIR}"/wxrc-${WXWRAP_VER} wxrc
keepdir /var/lib/wxwidgets
keepdir /usr/share/bakefile/presets
}
pkg_postinst() {
if [[ ! -e ${ROOT}/var/lib/wxwidgets/current ]]; then
echo 'WXCONFIG="none"' > "${ROOT}"/var/lib/wxwidgets/current
fi
echo
elog "This eselect module only controls the version of wxGTK used when"
elog "building packages outside of portage. If you are not doing development"
elog "with wxWidgets or bakefile you will never need to use it."
echo
}

@ -1,38 +0,0 @@
#!/bin/sh -
# $Id$
#
# /usr/bin/wx-config
#
# a lame wx-config wrapper (bugs to wxwidgets@gentoo.org)
_wxerror() {
cat >&2 <<- EOF
An error occurred while calling wx-config:
${1}
Please use \`eselect wxwidgets\` to select an available profile and try again.
EOF
exit 1
}
if [ -n "${WX_ECLASS_CONFIG}" ]; then
${WX_ECLASS_CONFIG} "$@"
exit 0
else
if [ -e /var/lib/wxwidgets/current ]; then
. /var/lib/wxwidgets/current
else
_wxerror "Cannot find the wxWidgets profile configuration ( /var/lib/wxwidgets/current )"
fi
[ -z "${WXCONFIG}" -o "${WXCONFIG}" = none ] && _wxerror "No profile currently selected"
if [ -x /usr/lib/wx/config/${WXCONFIG} ]; then
/usr/lib/wx/config/${WXCONFIG} "$@"
else
_wxerror "Cannot find wxWidgets profile ( ${WXCONFIG} )"
fi
exit 0
fi

@ -1,38 +0,0 @@
#!/bin/sh -
# $Id$
#
# /usr/bin/wxrc
#
# a lame wxrc wrapper (bugs to wxwidgets@gentoo.org)
_wxerror() {
cat >&2 <<- EOF
An error occurred while calling wxrc:
${1}
Please use \`eselect wxwidgets\` to select an available profile and try again.
EOF
exit 1
}
if [ -n "${WX_ECLASS_CONFIG}" ]; then
$(${WX_ECLASS_CONFIG} --utility=wxrc) "$@"
exit 0
else
if [ -e /var/lib/wxwidgets/current ]; then
. /var/lib/wxwidgets/current
else
_wxerror "Cannot find the wxWidgets profile configuration ( /var/lib/wxwidgets/current )"
fi
[ -z "${WXCONFIG}" -o "${WXCONFIG}" = none ] && _wxerror "No profile currently selected"
if [ -x /usr/lib/wx/config/${WXCONFIG} ]; then
$(/usr/lib/wx/config/${WXCONFIG} --utility=wxrc) "$@"
else
_wxerror "Cannot find wxWidgets profile ( ${WXCONFIG} )"
fi
exit 0
fi

File diff suppressed because it is too large Load Diff

@ -1,20 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
DESCRIPTION="Manages XvMC implementations"
HOMEPAGE="https://www.gentoo.org/"
SRC_URI=""
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE=""
DEPEND=""
RDEPEND=">=app-admin/eselect-1.0.10"
src_install() {
insinto /usr/share/eselect/modules
newins "${FILESDIR}"/${P}.eselect xvmc.eselect || die "newins failed"
}

@ -1,189 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
DESCRIPTION="Manage the XvMC implementation used by your system"
MAINTAINER="cardoe@gentoo.org"
SVN_DATE='$Date: 2015/03/31 16:58:41 $'
VERSION=$(svn_date_to_version "${SVN_DATE}" )
XVMCLIBS=(
"libXvMCNVIDIA_dynamic.so.1"
"libXvMC.so.1"
"libviaXvMC.so.1"
"libviaXvMCPro.so.1"
"libchromeXvMC.so.1"
"libchromeXvMCPro.so.1"
"libXvMCVIA.so"
"libXvMCVIAPro.so"
"libI810XvMC.so.1"
"/usr/lib/libIntelXvMC.so"
"libAMDXvBA.so.1" )
XVMCPRETTY=(
"nvidia"
"xorg-x11"
"via"
"via-pro"
"openchrome"
"openchrome-pro"
"unichrome"
"unichrome-pro"
"intel-i815"
"intel-i915"
"ati" )
get_implementation_indices() {
local ret n
for (( n = 0; n < ${#XVMCLIBS[@]}; ++n )); do
[[ -e "${ROOT}/usr/lib/${XVMCLIBS[n]}" ]] && ret+=($n)
done
echo ${ret[@]}
}
get_current_implementation_index() {
local n
if [[ -f "${ROOT}/etc/X11/XvMCConfig" ]]; then
local current=$(< "${ROOT}/etc/X11/XvMCConfig")
for (( n = 0; n < ${#XVMCLIBS[@]}; ++n )); do
if [[ "${XVMCLIBS[n]}" = "${current}" ]]; then
echo "${n}"
return
fi
done
fi
echo "-1"
}
set_new_implementation() {
echo -n "Switching to ${XVMCPRETTY[$1]} XvMC implementation..."
touch "${ROOT}/etc/X11/XvMCConfig" 2>&1 > /dev/null
if [[ $? -eq 0 ]]; then
echo "${XVMCLIBS[$1]}" > "${ROOT}/etc/X11/XvMCConfig"
chmod 644 "${ROOT}/etc/X11/XvMCConfig"
chown 0:0 "${ROOT}/etc/X11/XvMCConfig"
echo " done"
else
echo " failed!"
echo "Insufficient privileges"
fi
}
### list action
## {{{ list stuff
describe_list() {
echo "List Available XvMC implementations"
}
do_list() {
local output n
local avail=( $(get_implementation_indices) )
local current=$(get_current_implementation_index)
write_list_start "Available XvMC implementations ( $(highlight '*') is current ):"
if (( ${#avail[@]} )) ; then
for n in "${avail[@]}" ; do
output[n]="${XVMCPRETTY[n]}"
[[ ${current} -eq ${n} ]] && \
output[n]+=" $(highlight '*')"
done
write_numbered_list "${output[@]}"
else
write_kv_list_entry "(none found)" ""
fi
return 0
}
## }}}
### show action
## {{{ show stuff
describe_show() {
echo "Print the current XvMC implementation."
}
do_show() {
local current=$(get_current_implementation_index)
write_list_start "Current XvMC implementation:"
if [[ ${current} -ne -1 ]]; then
echo "${XVMCPRETTY[current]}"
return 0
else
echo "(none)"
return 2
fi
}
## }}}
### set action
## {{{ set stuff
describe_set() {
echo "Select the XvMC implementation"
}
describe_set_parameters() {
echo "<target>"
}
describe_set_options() {
echo "<target> : XvMC implementation to activate"
echo "--use-old : If an implementation is already set, use that one instead"
}
do_set() {
local current=$(get_current_implementation_index)
local avail=( $(get_implementation_indices) )
local n new action
while [[ ${#@} -gt 0 ]]; do
local opt=${1}
shift
case ${opt} in
--use-old)
if [[ ${current} -gt -1 ]]; then
(( ${current} < ${#XVMCPRETTY[@]} )) && action="old-implementation"
fi
;;
*)
[[ -z ${action} ]] && action="set-implementation"
if is_number ${opt} ; then
new=${avail[opt - 1]}
if [[ -z ${new} ]]; then
die -q "Unrecognized option: ${opt}"
fi
elif has ${opt} ${XVMCPRETTY[@]}; then
for (( n = 0; n < ${#XVMCPRETTY[@]}; ++n )); do
[[ "${XVMCPRETTY[n]}" = "${opt}" ]] && new=${n}
done
else
die -q "Unrecognized option: ${opt}"
fi
;;
esac
done
case ${action} in
old-implementation)
set_new_implementation ${current}
return $?
;;
set-implementation)
if [[ -n ${new} ]]; then
set_new_implementation ${new}
return $?
else
die -q "Please specify an implementation to set"
fi
;;
*)
die -q "Invalid usage of set action."
esac
}
# vim: ts=4 sw=4 noet fdm=marker

@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
IUSE=""
RDEPEND="|| (

@ -1,2 +1,3 @@
DIST pdf2djvu-0.7.21.tar.xz 229020 SHA256 12d480cc3ce2369e1f1b39b7f5e6fbb44351d8b07861295d34e6978f58b687b9 SHA512 920e49b23f9c1d1a8f6c0be9257dc175ef94350f6e488d88813eb2586344f373b4b173530031d9aeff24b1ad220cc68a3094d4e821cd3a1511ba01e492ed084f WHIRLPOOL 7d09ca40f330c79c0a1abf9967f9ce5d05cfaa8a5904bf69c751a4ca1cce5da2987c519cc001dd7b3fdaa0822127e3ead269ee723f78c6cc18d1c7666b8b28e5
DIST pdf2djvu-0.8.1.tar.xz 239164 SHA256 716b1ac2c4328fcfee8b33a0b6cd011b2ebee040de57163978ddd84ffcf9f8e9 SHA512 f61940726a1c04d33ff71c2a9230c4decd81a26ac44c4859cd6929a505b159e21fa06d80ba1c86f464aaeb6246d76ea751a3f35e8211364855d082b1b96465c0 WHIRLPOOL cafe5b07977d6382dd4935d879ad7923b188c042c4b07b6d07a9e600a6d683f1b1d4a3cd1e83d9f82169d9d9bb88ac379625dbf9d81e6b6fe2c51d017b9da95a
DIST pdf2djvu-0.8.2.tar.xz 234412 SHA256 40b0812e954f374704bd8dbb5952786f6744623a2ec6df1c56de0b8057be93d6 SHA512 72a3ee719b6311824c1f71269787b31cdd600bc8671f0486419f4d023cb10f9d338df18ce33c982ed43f893d441a723bffd502a17287be43a00dc695ca959042 WHIRLPOOL 72863dfc7f4a7d1665de77a3fa12242c83746f4c3a237b45e92fd3111581f55e16a5c020590d12185db13b7035a987ab2efaa8fee9b47adb60f0502703af6a7c

@ -0,0 +1,53 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python2_7 )
inherit python-single-r1 toolchain-funcs
DESCRIPTION="A tool to create DjVu files from PDF files"
HOMEPAGE="http://jwilk.net/software/pdf2djvu"
SRC_URI="https://bitbucket.org/jwilk/${PN}/downloads/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="+graphicsmagick nls openmp test"
RDEPEND="
>=app-text/djvu-3.5.21:=
>=app-text/poppler-0.16.7:=
dev-libs/libxml2:=
dev-libs/libxslt:=
graphicsmagick? ( media-gfx/graphicsmagick:= )
"
DEPEND="${RDEPEND}
dev-cpp/pstreams
virtual/pkgconfig
nls? ( sys-devel/gettext )
test? ( dev-python/nose[${PYTHON_USEDEP}] )
"
REQUIRED_USE="test? ( graphicsmagick ${PYTHON_REQUIRED_USE} )"
pkg_setup() {
use test && python-single-r1_pkg_setup
}
src_configure() {
local openmp=--disable-openmp
use openmp && tc-has-openmp && openmp=--enable-openmp
econf \
${openmp} \
$(use_enable nls) \
$(use_with graphicsmagick)
}
src_install() {
default
dodoc doc/{changelog,{cjk,credits,djvudigital}.txt}
}

@ -1,4 +1,4 @@
DIST go-favicon.ico 1150 SHA256 d76ca702a6d81e20ddd31c8c5a4368130e7c68d990600316f6f1c9509bd38ba7 SHA512 194c4b3c360321a10f714b6755d9155de6129682b4070d19b52d0d5706fcbd1d244ea38c33fd77fe1dec85b3e39720dd0a62f5b126803036fbc8337a9d72fea6 WHIRLPOOL f55a84a28812bffd1fa38e098e6ba7d757bdefc0e20c3d8ef767fb1bc7d6e2cfbb8d1ae0593e81cce17c27f60e6aacf094e6c67b1f592c0546090feab9d3830f
DIST go-tools-0_pre20150805.tar.gz 1633388 SHA256 80db6fc563df50eb924dbf4f96cef287fc6b89cc8b98595c1dac3c80a118f290 SHA512 80813c2da74c7b25fa2cfd15b2505757e7f466469ac701cb22d190dc83a607f091c4dea207a2e371e53d7a1f5459e7b53e5eea53c95565e958a6eb7fcb212359 WHIRLPOOL 3b000f830d81c35e6f76a9883d9430eb7fe0f546a36579a150a7bd8f825146a0623726a98a7b7f764825c9fee30af1f89b3bbc98efeaf05fe8f64bbb127a1f68
DIST go-tools-0_pre20150823.tar.gz 1633447 SHA256 12ac4c5e49134a7dcc9c2f3123d20562463d83360a6e1d2fc6ace5ec025a31ae SHA512 6d906bae8433182e7a105a46b92c4f64ac145196ccc72f8934376fc49e5d554182931745e92229c4571323a6eba9ce2f680b5add3844ecb593a194cbbc1b0b63 WHIRLPOOL acb3ac4e5abcc56a37bec461a7e4170e4a45ebd917ed9ca1dd016c92756a01b0ed0887e525bc17acd7a88a34fd5f9495a5ffa63f58a05d547e2fba17c4ff9a8e
DIST go-tools-0_pre20150902.tar.gz 1633723 SHA256 d10d6e33222446bccc8c3541b32412c058db14a834a6b0e8aa0b36d5b10723e0 SHA512 b11d8da7391cc139dc66a1f744cab6e9049680c7ecd6285389d4cee80b3b0bc901a0469e6a5ae7d1d5fda7ea2967aa0415b967beaa3c4ac68ab59cb1a54c95be WHIRLPOOL cc7dabd477ec00628003ba233036cc86849da80ada28a26f8f730e973ed64811b159217a4f0aa49403d77af4e9b2ca77a6ce40137d32a8c38e2d449b9bd1524e
DIST go-tools-0_pre20150902.tar.gz 1630401 SHA256 c5026af549199f62a374b705981cf0f04661497af0d69ee47d54e9992ee44c8f SHA512 437d5178ce5bf6c4d39ad638259e7c18150d2574dffb632003fa0b83a61a9103e666e562aecc6e8412d995e4b5ffacda6bc12b1cfbbea0b22a5ff680a0a7e3e1 WHIRLPOOL bfc7998c3c042059213975dc6864814edf497b5c6ee70c228925bcb7dd283efb4f49d7ac05383b8ae2d85ccc7fbd7663e3c2899bffe47e4e36195bd639bc61c7

@ -56,8 +56,6 @@ src_prepare() {
-i src/${go_src}/go/types/stdlib_test.go || die
sed -e 's:TestRepoRootForImportPath(:_\0:' \
-i src/${go_src}/go/vcs/vcs_test.go || die
sed -e 's:TestStdlib(:_\0:' \
-i src/${go_src}/refactor/lexical/lexical_test.go || die
# Add favicon to the godoc web interface (bug 551030)
cp "${DISTDIR}"/go-favicon.ico "src/${go_src}/godoc/static/favicon.ico" ||
@ -77,6 +75,14 @@ src_compile() {
golang-build_src_compile
}
src_test() {
# Create a writable GOROOT in order to avoid sandbox violations.
cp -sR "$(go env GOROOT)" "${T}/goroot" || die
mkdir -p "${T}/goroot/test" || die
GOROOT="${T}/goroot" golang-build_src_test
rm -rf "${T}/goroot"
}
src_install() {
# Create a writable GOROOT in order to avoid sandbox violations.
cp -sR "$(go env GOROOT)" "${T}/goroot" || die

@ -25,5 +25,5 @@ RDEPEND="
sys-apps/portage"
python_test() {
esetup.py test || die
esetup.py test
}

@ -0,0 +1,26 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit java-pkg-2 java-pkg-simple
JAVA_PKG_IUSE="doc source"
DESCRIPTION="a library of arguably useful Java utilities"
HOMEPAGE="https://github.com/typesafehub/config"
SRC_URI="https://github.com/typesafehub/config/archive/v${PV}.zip"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc source"
CDEPEND=""
RDEPEND=">=virtual/jre-1.8
${CDEPEND}"
DEPEND=">=virtual/jdk-1.8
app-arch/zip
${CDEPEND}"

@ -1,2 +1,3 @@
DIST ekopath-2015-08-09-installer.run 58521154 SHA256 7ecd2a03012e36851f69ab35f18905793212e2feae5c242f48d8f26722c5c1ca SHA512 f7da95fa987b262aafa434487cfb64340b2be754b8e119729de998c0ccddde3bbea4f3994ecd1643dbf5e49f3a48e6173be9d0102f7eb29e41d14f0914893a5b WHIRLPOOL d9cabf4787229ff2027569f7f73095a37b40c654ed0e201478a0e100cfa091ff82f3478c6b41c992288c4711823690bb0958cb1a9209ac595bb4930aaa99af4b
DIST ekopath-2015-08-11-installer.run 59150939 SHA256 31f491e3744257ae87b735be418287ac4530bf525cd4c61fdb0f2438f0600e4b SHA512 ada2dc774247e5ea76f35f6f9311d58d99ec599e41befc0820650affae88be6916a2dd50bf9e67e4920db2ab16fc185fb088e523c1abc75ed7bfc5ec261e0eb1 WHIRLPOOL 721deca6bb973bf64219709cd0fc95907a2c5cfb447a295e45410939f700244197fd2a382ae537a847c10368af44fcbc538ddc9529769cfa4613eab118362df7
DIST ekopath-2015-09-10-installer.run 57138157 SHA256 fd4eca09107b9967ba01e508098c00fddbb809ba637e42aa1bb4b7518e947394 SHA512 67f99cbf74e1840de3ee4f1da810031b9e67c1ecfd7de6ff56c8303bdcdf6d9eedbb9eab975d7a6bb1ccbb3c5a65a3f60c7219f2321bd2eb4949f04979142148 WHIRLPOOL d41c1ca250b81d584d4f088ad8b03fe975bbb9fe5d6ef50c2d501904e0f187cefaf41e772c0cbd835106c1fed995a7e754a875fd621314b28bdde19a2a14fb88

@ -0,0 +1,74 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit versionator multilib pax-utils
MY_PV=$(get_version_component_range 1-3)
DATE=$(get_version_component_range 4)
DATE=${DATE#p}
DATE=${DATE:0:4}-${DATE:4:2}-${DATE:6}
INSTALLER=${PN}-${DATE}-installer.run
DESCRIPTION="PathScale EKOPath Compiler Suite"
HOMEPAGE="http://www.pathscale.com/ekopath-compiler-suite"
SRC_URI="http://c591116.r16.cf2.rackcdn.com/${PN}/nightly/Linux/${INSTALLER}"
LICENSE="all-rights-reserved"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
DEPEND="!!app-arch/rpm"
RDEPEND=""
RESTRICT="bindist mirror"
QA_PREBUILT="
opt/${PN}/lib/${MY_PV}/x8664/*
opt/${PN}/bin/*"
S="${WORKDIR}"
src_unpack() {
cp "${DISTDIR}/${INSTALLER}" "${S}/" || die
chmod +x "${S}/${INSTALLER}" || die
}
src_prepare() {
cat > 99${PN} <<-EOF
PATH=${EROOT%/}/opt/${PN}/bin
ROOTPATH=${EROOT%/}/opt/${PN}/bin
LDPATH=${EROOT%/}/opt/${PN}/lib:${EROOT%/}/opt/${PN}/lib/${MY_PV}/x8664/64
MANPATH=${EROOT%/}/opt/${PN}/docs/man
EOF
}
src_install() {
# EI_PAX marking is obsolete and PT_PAX breaks the binary.
# We must use XT_PAX to run the installer.
if [[ ${PAX_MARKINGS} == "XT" ]]; then
pax-mark m "${INSTALLER}"
fi
./"${INSTALLER}" \
--prefix "${ED%/}/opt/${PN}" \
--mode unattended || die
if [[ ! -d ${ED%/}/opt/${PN}/lib/${MY_PV} ]]; then
local guess
cd "${ED%/}/opt/${PN}/lib" && guess=( * )
if [[ ${guess[@]} ]]; then
die "Incorrect release version in PV, guessing it should be: ${guess[*]}"
else
die "No libdir installed"
fi
fi
[[ -x ${ED%}/opt/${PN}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
rm -r "${ED}/opt/${PN}"/uninstall* || die
doenvd 99${PN}
}

@ -6,7 +6,7 @@ EAPI=5
inherit eutils autotools flag-o-matic versionator depend.apache apache-module db-use libtool systemd
KEYWORDS="~alpha amd64 ~arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="alpha amd64 ~arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
function php_get_uri ()
{

@ -6,7 +6,7 @@ EAPI=5
inherit eutils autotools flag-o-matic versionator depend.apache apache-module db-use libtool systemd
KEYWORDS="~alpha amd64 ~arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="alpha amd64 ~arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
function php_get_uri ()
{

@ -6,7 +6,7 @@ EAPI=5
inherit eutils autotools flag-o-matic versionator depend.apache apache-module db-use libtool systemd
KEYWORDS="~alpha amd64 ~arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="alpha amd64 ~arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
function php_get_uri ()
{

@ -11,7 +11,7 @@ SRC_URI="https://dev.gentoo.org/~patrick/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~mips ~sparc x86 ~amd64-linux ~x86-linux"
KEYWORDS="alpha amd64 ~arm ~ia64 ~mips ~sparc x86 ~amd64-linux ~x86-linux"
IUSE=""
DEPEND=""

@ -6,7 +6,7 @@ EAPI=5
AUTOTOOLS_AUTORECONF=1
inherit autotools eutils autotools-multilib
inherit autotools autotools-multilib
DESCRIPTION="A free implementation of the unicode bidirectional algorithm"
HOMEPAGE="http://fribidi.org/"
@ -19,9 +19,7 @@ IUSE="static-libs"
RESTRICT="test" #397347
RDEPEND=">=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
abi_x86_32? ( !<=app-emulation/emul-linux-x86-medialibs-20130224-r10
!app-emulation/emul-linux-x86-medialibs[-abi_x86_32(-)] )"
RDEPEND=">=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]"
DEPEND="${RDEPEND}
virtual/pkgconfig"

@ -12,7 +12,7 @@ SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"
LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="common-lisp nls static-libs"
RDEPEND="nls? ( >=virtual/libintl-0-r1[${MULTILIB_USEDEP}] )

@ -3,6 +3,7 @@
# $Id$
EAPI=5
PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
inherit distutils-r1
@ -26,5 +27,5 @@ DEPEND="
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
python_test() {
esetup.py nosetests || die "tests failed under ${EPYTHON}"
esetup.py nosetests
}

@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~x86"
KEYWORDS="amd64 arm hppa mips ppc ppc64 x86"
IUSE=""
RDEPEND=""

@ -3,6 +3,7 @@
# $Id$
EAPI="5"
PYTHON_COMPAT=( python2_7 pypy )
inherit distutils-r1
@ -19,7 +20,8 @@ SLOT="0"
KEYWORDS="amd64 ~ia64 ppc x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
IUSE=""
DEPEND="app-arch/unzip
DEPEND="
app-arch/unzip
dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND=""
@ -31,5 +33,5 @@ python_prepare_all() {
}
python_test() {
esetup.py test && einfo "Tests passed under ${EPYTHON}" || die "Tests failed under ${EPYTHON}"
esetup.py test
}

@ -3,6 +3,7 @@
# $Id$
EAPI=5
PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
PYTHON_REQ_USE="xml(+)"
@ -18,7 +19,7 @@ LICENSE="PSF-2"
SLOT="0"
python_test() {
esetup.py test || die "Tests failed under ${EPYTHON}"
esetup.py test
}
python_install_all() {

@ -1,8 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python2_7 )
inherit distutils-r1
@ -25,11 +26,11 @@ DEPEND="
RDEPEND=""
python_test() {
esetup.py test || die "Tests failed under ${EPYTHON}"
esetup.py test
}
python_install_all() {
distutils-r1_python_install_all
rm "${D}"/usr/README.rst || die "Couldn't remove spurious README.rst"
rm "${ED}"/usr/README.rst || die "Couldn't remove spurious README.rst"
}

@ -1,8 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
inherit distutils-r1 vcs-snapshot
@ -32,7 +33,7 @@ python_compile_all() {
}
python_test() {
esetup.py test || die "Tests failed under ${EPYTHON}"
esetup.py test
}
python_install_all() {
@ -40,5 +41,5 @@ python_install_all() {
distutils-r1_python_install_all
rm "${D}"/usr/README.rst || die "Couldn't remove spurious README.rst"
rm "${ED}"/usr/README.rst || die "Couldn't remove spurious README.rst"
}

@ -64,7 +64,7 @@ python_test() {
done
export TEST_ES_SERVER="localhost:${ES_PORT}"
esetup.py test || die "Tests failed on ${EPYTHON}"
esetup.py test
pkill -F ${PID}
}

@ -69,7 +69,7 @@ python_test() {
done
export TEST_ES_SERVER="localhost:${ES_PORT}"
esetup.py test || die "Tests failed on ${EPYTHON}"
esetup.py test
pkill -F ${PID}
}

@ -74,7 +74,7 @@ python_test() {
done
export TEST_ES_SERVER="localhost:${ES_PORT}"
esetup.py test || die "Tests failed on ${EPYTHON}"
esetup.py test
pkill -F ${PID}
}

@ -75,7 +75,7 @@ python_test() {
done
export TEST_ES_SERVER="localhost:${ES_PORT}"
esetup.py test || die "Tests failed on ${EPYTHON}"
esetup.py test
pkill -F ${PID}
}

@ -28,5 +28,5 @@ RDEPEND="
"
python_test() {
esetup.py test || die "Tests failed for ${EPYTHON}"
esetup.py test
}

@ -1,6 +1,2 @@
DIST humanfriendly-1.25.tar.gz 23072 SHA256 a6811938ff17c3df24c5b91569f44bff17f1ccbb60e0d756a5bfd13b554d479c SHA512 e62cfcd4f0119830cb21b10eb7514aebe1283fc4dc9cbc22cfad1cb3c73fcad46ac5e4e3a2aa7ccffc5f5b8389d616e1dcaa622fee420c5fcd7138948c69cd54 WHIRLPOOL ef7161c9893b5b59b5b89fce7aabbd4fd8954d316874e53a2352258cdccfe4dbcacb2fc46711490f90fa0f56f19734b6617e5e844c8f004142faac38a890b8c4
DIST humanfriendly-1.26.tar.gz 25228 SHA256 0908b90298364e3335a03abcbb88ec571f95c7e4bc6728de0551806f636ef219 SHA512 d4cf81d6c9e39c2d5fb4886dc84c6037c6b189a5e54360b1fcaab5728c74b5ab4fe95c574d4b211888a8cbe6f1bce563106adb65b6a0d9533aa40e6ce434cf7c WHIRLPOOL f8d6a080bcfc8ac9dfacdc2387c4050ea81dd294eb703d4198ac82678e3ef71f4ecce0a2af4dfd85c068548c96a42c904ff2efc8bf4c429137e60aef684ec614
DIST humanfriendly-1.27.tar.gz 26128 SHA256 b80c391baf5c7d5f634391d62c9869c4d20dd6167c53ba2e3765f9ad2bc54638 SHA512 b2fcf239958e9889c22a99396e78d157adf390e2b5dbcbc3f89eb42ca7a87ec278e2969d05fc3388c07af929b1046cd4a14d3347c7c9287e6a7f4cbbb7322688 WHIRLPOOL a0d277784dd906891bf1217653141379770bbf703645af34fe220b253f9939fdb0ebea90e35a9cb2c17f5e5f6099805c05dbb888fe23af581ac7fab43459ef07
DIST humanfriendly-1.29.tar.gz 27120 SHA256 9c1983d79a61f77ab6c42973baf2ebb156dbb608516415f3c4066cbe3400e8d7 SHA512 b42e1e7e66c1326cef1134b662f7026c9b3883f0871752cbb6d334de68fc6f6e92ae6524bb9c64b7185bc28f612c6daf0650bd8c9a9121d5fea704b51bd7843f WHIRLPOOL a068a0cbdd7ec3d41ea54d5cf9cc80b8c88bc6089d48f546638c5128cf918720549667464a32bca0b2f6f266f3ff8194ab352b159db3de7a554d2eb2a449854e
DIST humanfriendly-1.31.tar.gz 33358 SHA256 329b359b5aa8d330841379afea30ab343ec177fed826bfc8e44ebba43700ac5f SHA512 9c3f3a84c9a5c9d530ad8e4c10507369f322cc4c73c8f229f08ebab168b69e41870b22873445c32ddca4975a5d6bbeb586c8c4e6e20e79d1a7d420d6855a5cae WHIRLPOOL 80ac328a5b2bdbfd181dd9b142ee792a8cdfd192c36fcd276b6a4b1eacf64ed27737d9b7796c66caffacbce9177e3cbfcd87e543f54f540b278be574b0ecf335
DIST humanfriendly-1.33.tar.gz 34362 SHA256 158259d5cb9b762fb094a3cbbade70b5e623568b92c3765d1914fa87f5bf4ecc SHA512 878dc081b15df2f1d682697b9abde45ea20aebd4a33bd7079af7eb3c86b331ad2135b7153b6727ddadbc2146fe042d5a860aaab4889a637622636d4118179bf5 WHIRLPOOL c57a7404341cff1eca80069e35350b99ddf3c26b68894ab283d39ad4dd80fbd2014f04a8dfdb040aae432c4b2ed9bdc51f0085d743575c78eddcc9985cf3cbed
DIST humanfriendly-1.35.tar.gz 36181 SHA256 de030bb1976b526f514c9a953c38286f50c3ece01180a1efdda56f091eb33164 SHA512 3cec8629423f640b2b6bdcf95aa8346daf88268b3d7e9ce44be395f7e9f3aa1a23d27d422db3bfda32e1e6c2c6a2eaf8dc1393ef6fcea4895ef6b44671353d0d WHIRLPOOL c44a897a81b2044a9d6913fb1d74d6979534d00cce486035b23facbc5595532996cb19c8b34cd7768381e67ff277b6ed02c034341958f4eff63940136cecaf27

@ -1,26 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python2_7 python3_{3,4} )
inherit distutils-r1
DESCRIPTION="Human friendly output for text interfaces using Python"
HOMEPAGE="https://pypi.python.org/pypi/humanfriendly https://humanfriendly.readthedocs.org"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"
python_test() {
esetup.py test || die
}

@ -1,26 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python2_7 python3_{3,4} )
inherit distutils-r1
DESCRIPTION="Human friendly output for text interfaces using Python"
HOMEPAGE="https://pypi.python.org/pypi/humanfriendly https://humanfriendly.readthedocs.org"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"
python_test() {
esetup.py test || die
}

@ -1,26 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python2_7 python3_{3,4} )
inherit distutils-r1
DESCRIPTION="Human friendly output for text interfaces using Python"
HOMEPAGE="https://pypi.python.org/pypi/humanfriendly https://humanfriendly.readthedocs.org"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"
python_test() {
esetup.py test || die
}

@ -1,26 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python2_7 python3_{3,4} )
inherit distutils-r1
DESCRIPTION="Human friendly output for text interfaces using Python"
HOMEPAGE="https://pypi.python.org/pypi/humanfriendly https://humanfriendly.readthedocs.org"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"
python_test() {
esetup.py test || die
}

@ -22,5 +22,5 @@ DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"
python_test() {
esetup.py test || die
esetup.py test
}

@ -22,5 +22,5 @@ DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"
python_test() {
esetup.py test || die
esetup.py test
}

@ -24,5 +24,5 @@ DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
)"
python_test() {
esetup.py test || die
esetup.py test
}

@ -23,5 +23,5 @@ DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
)"
python_test() {
esetup.py test || die
esetup.py test
}

@ -23,5 +23,5 @@ DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
)"
python_test() {
esetup.py test || die
esetup.py test
}

@ -20,7 +20,7 @@ if [[ ${PV} = *9999* ]]; then
RDEPEND="app-emulation/libvirt:=[-python(-)]"
else
SRC_URI="http://libvirt.org/sources/python/${MY_P}.tar.gz"
KEYWORDS="" # "~amd64 ~x86"
KEYWORDS="~amd64 ~x86"
RDEPEND="app-emulation/libvirt:0/${PV}"
fi
S="${WORKDIR}/${P%_rc*}"

@ -1,2 +1,2 @@
DIST Mako-0.7.3.tar.gz 401787 SHA256 5e1d17fbd1aed57ebeea74ee3809015b121e142d73069066a113a125a4ec2ef5 SHA512 3134a05fcacb5d8e41ebab3bedb6c1a31eec94afb56f2c8319fee4b749930fcc7df5ed86e0de26cafbaea966b920921e29788f1c6ba5810eedb4d98f322085f9 WHIRLPOOL 8d3011b472a4bd04c4ef0ddad4767357bd1c570228702e900c956582c2e1e7e668765a34e4e450e18b8a1e0562d9b024ee1ae8b82efc891023154cf442f16d8a
DIST Mako-1.0.0.tar.gz 470006 SHA256 a3cd72cfef507204b50f74ffcbfcfde7e856437891d3f6cfe780866986d006fe SHA512 81a6b7637e26d561350a591e3490e7140db218ae7f6b43fec8fca5b767fc6e57d0e8cc901d28fecb9863b2170c824a35c578a94579f991359fa0873f62ec578a WHIRLPOOL aa27b63e3832f03120312fbfec939b05606081e67a5cb4c9a056c27259631c2e159cf7506292d44e2c17c5950d7e4255d19f4beba78502bdbb52fbf11e1a872c
DIST Mako-1.0.2.tar.gz 564592 SHA256 2550c2e4528820db68cbcbe668add5c71ab7fa332b7eada7919044bf8697679e SHA512 d297f9050049ac37612b10d61d3f1bb2cb7f6e238e7afdce092ba95d6117e064b4dfebaa3219093d88f75c6ef691fe3a0aaebd4188a5ba571867d3a3dfe986bc WHIRLPOOL 63f1b0a094dcbd5ab9fb86ba56764ad517b60c24d58b7e51b5220d2df4426e47d0c65d0409f9f7c499c7eaa0747b5bac06326718574038c2276b4b52147274fe

@ -1,53 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python2_7 )
inherit distutils-r1
MY_P="Mako-${PV}"
DESCRIPTION="A Python templating language"
HOMEPAGE="http://www.makotemplates.org/ https://pypi.python.org/pypi/Mako"
SRC_URI="http://www.makotemplates.org/downloads/${MY_P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="alpha amd64 arm ~hppa ia64 ppc ~ppc64 s390 sh sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
IUSE="doc test"
RDEPEND=">=dev-python/beaker-1.1[${PYTHON_USEDEP}]
>=dev-python/markupsafe-0.9.2[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/nose[${PYTHON_USEDEP}] )"
S="${WORKDIR}/${MY_P}"
PATCHES=(
"${FILESDIR}/test-fix.patch"
)
python_test() {
cp -r -l test "${BUILD_DIR}"/ || die
if [[ ${EPYTHON} == python3.* ]]; then
# Notes:
# -W is not supported by python3.1
# -n causes Python to write into hardlinked files
2to3 --no-diffs -w "${BUILD_DIR}"/test || die
fi
cd "${BUILD_DIR}"/test || die
nosetests || die "Tests fail with ${EPYTHON}"
}
python_install_all() {
rm -rf doc/build
use doc && local HTML_DOCS=( doc/. )
distutils-r1_python_install_all
}

@ -1,4 +1,4 @@
# Copyright 1999-2014 Gentoo Foundation
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@ -6,60 +6,44 @@ EAPI=5
PYTHON_COMPAT=( python{2_7,3_3,3_4} )
inherit readme.gentoo versionator distutils-r1
inherit distutils-r1 eutils versionator
MY_P="Mako-${PV}"
MY_PN="Mako"
MY_P=${MY_PN}-${PV}
DESCRIPTION="A Python templating language"
HOMEPAGE="http://www.makotemplates.org/ https://pypi.python.org/pypi/Mako"
SRC_URI="http://www.makotemplates.org/downloads/${MY_P}.tar.gz"
SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~hppa ia64 ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
IUSE="doc test"
RDEPEND="
>=dev-python/markupsafe-0.9.2[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/nose[${PYTHON_USEDEP}]
$(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7) )"
test? (
dev-python/nose[${PYTHON_USEDEP}]
$(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7)
)"
S="${WORKDIR}/${MY_P}"
PATCHES=(
"${FILESDIR}/test-fix.patch"
)
DOC_CONTENTS="
${PN} can be enchanced with caching by dev-python/beaker"
python_test() {
cp -r -l test "${BUILD_DIR}"/ || die
if [[ ${EPYTHON} == python3.* ]]; then
# Notes:
# -W is not supported by python3.1
# -n causes Python to write into hardlinked files
2to3 --no-diffs -w "${BUILD_DIR}"/test || die
fi
cd "${BUILD_DIR}"/test || die
nosetests || die "Tests fail with ${EPYTHON}"
nosetests "${S}"/test || die "Tests fail with ${EPYTHON}"
}
python_install_all() {
rm -rf doc/build
rm -rf doc/build || die
use doc && local HTML_DOCS=( doc/. )
distutils-r1_python_install_all
readme.gentoo_create_doc
}
pkg_postinst() {
readme.gentoo_print_elog
optfeature dev-python/beaker "Caching support"
for v in ${REPLACING_VERSIONS}; do
if ! version_is_at_least 0.7.3-r2 $v; then
ewarn "dev-python/beaker is no longer hard dependency of ${P}"

@ -3,6 +3,7 @@
# $Id$
EAPI=5
PYTHON_COMPAT=( python2_7 pypy )
inherit distutils-r1
@ -17,7 +18,8 @@ KEYWORDS="amd64 x86 ~x64-macos"
IUSE="test"
RDEPEND="dev-python/httplib2[${PYTHON_USEDEP}]"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( ${RDEPEND}
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
@ -26,5 +28,5 @@ DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
PATCHES=( "${FILESDIR}/${PN}-exclude-tests.patch" )
python_test() {
esetup.py test || die "Tests fail with ${EPYTHON}"
esetup.py test
}

@ -1 +1,2 @@
DIST parsley-1.2.tar.gz 106385 SHA256 1b5465f8244fd930929fe99c8ef710ab3d65d8a12814f73181eeb1ce22fea416 SHA512 55810ec6c77c6ed60bd84c34bffbeba6f65132907e46ee9b85c8f27215e2be08960edc98ae20cdd431bd74d6cf0ca494ca914e8b1cfd091c549e82bb019490e5 WHIRLPOOL 1a3f59072d642148f18049d31b92f3d2873ac337200e53ab73faf91398fbbb8876909d9e5c37ac90b743ef8a0ab6c629b08a3c3f6668e11f213d7aa9a5f180a8
DIST parsley-1.3.tar.gz 108574 SHA256 801defb0586af7964b84995999315d75244d3bc4fefda8ee8319c66688f0e48f SHA512 da749592a585be6c7b45e3d0637e30f0cf79caf71f88cd55a9c53466f5adf9c46a955359b3587f37b8237a5005cda94f62ab349889cb649c786f593b3707dd55 WHIRLPOOL a86937a8fc62c574022c9d773130be7983526b558221424f8d1e7f2b9def5c3149d0d174aaccccd33f3a519cf52884c34eb06ca1325cf7405aab59e6aaa53d5a

@ -0,0 +1,18 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python{2_7,3_4} )
inherit distutils-r1
DESCRIPTION="A Pattern-Matching Language Based on OMeta and Python"
HOMEPAGE="https://github.com/python-parsley/parsley"
SRC_URI="https://github.com/python-${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

@ -1,6 +1,3 @@
DIST path.py-7.3.zip 33549 SHA256 f7d146f40768e3742199a5316fbe3eb6a6091b9feedcb4b969c7348dc03151e1 SHA512 f676b81deda7b42a2a29fef0827d7c8ecbe743d0fa5efdc8221a78f3e744f357a179a9b8451264636ca2626f58d422a02d6ad77cc57eef74dd3b186585863433 WHIRLPOOL 7da96c488aa6bcdea0a65c69b412710dbc85f7bed04dd571389ca190d43fea2e711659ca3546b926efc69d631a1408b5905839c39866d7e98b7dde19803d0c4f
DIST path.py-7.4.tar.gz 27256 SHA256 69df64c911a4b27194e24b0b81789f449e2b75af46ffbd872e66c9af20009948 SHA512 5a0d34e911315bc447ba9428a7934f77043ec701ecd32e099562290d8c8e092fd780b3ec1f0353c378394e4de2fe444a4141bd91301f40c0fb3086892726205f WHIRLPOOL 41b5025654ea2ae88c829eb10f7fb6341f214e7d9050aca018fcce2349ecae14f08b9398a6743fbae752800742f06dc33a8b3a55a8171eaa8676cf0f72cd9b31
DIST path.py-7.6.1.tar.gz 32974 SHA256 201c86613327f2f6c2d34c8f28689bdfde74fbb758c5211a1f8652dc71fa9e5a SHA512 f0879018bc5dbc3c5796a0587976f7bd40c44d62c4d81884efef2aca914b0ed14aada3f94c5ad6b8ac6cf8dbc809ff231ca4308d64438c38feafccbba478f796 WHIRLPOOL bb492d8ed4acb0b6c088c36acaba863514f85b46373fe98abd8f6edaf43ea9629340de128cbf2d385a81ccd923325870449553071bf0b967d28a9af1c54c87e1
DIST path.py-7.7.1.tar.gz 33102 SHA256 692feac9d1fe3b70239b2f0f07dcdbbdad38e3611846924de33ec6175d87638e SHA512 9275fab8340600889e0704d383f009d9aa94f9fa903aade57922b8fc797587734bdacd89ab6e87573dffd4cfa6a167067e03cfab0916cc3416619774134de7cb WHIRLPOOL 7811ccbf811c8d7a307d2cb50ddfdea2e96c49de2e1618c856d97f300560cca3558c2fa2a1cf29717cfbdb4460f05f7fe8d5dbd9efadba3ae76e4f526d3c7b53
DIST path.py-7.7.tar.gz 33065 SHA256 078e1011f0ee748e8569c9972a6259898c6e8f58d45c4ca06f3fab007c241544 SHA512 d8b1fb41bfd923054a03ef9d750f0921952b508f6be77cc026ba887584a610376d12ec54e1c1027bba02a256996e56b30b8dd6e56e8e1753c05a571985f43dc2 WHIRLPOOL c9bafc6ae2fe293978f086617c08341970dd2f0f2b2ec2e12b2904a7429171a3bcabcb8fb7014c8e8d330487724c7fb39ec10ac64d46524fc689c341ba053171
DIST path.py-8.1.1.tar.gz 33292 SHA256 2e109f902aed4a7999d465e4ec8456c1112e657840520c5bc7104fb7050d1add SHA512 7a33807017c952d347bb966e1ed6db49e30625c7b2ae795dc11b39a237830d988f2d3033666da9a796cb5048ab8024690c803054f40cc21b0ce1a68fe9969802 WHIRLPOOL a18277816f9fbe3042fa397b63203a3b4696f657414c2c72ee656679e24ec86363f493e8e31ff50721a52a6e2d3afee31f75a730f325e22ca4f071c4ff988681
DIST path.py-8.1.tar.gz 33221 SHA256 27ea0789c12cbe8e2a29397d2a54581009094a0684ce880844ba9fc4c16ce30c SHA512 f5a2e824bdf7c097fc690ce57237dc476e0c2b748dd6c7b1559d4d769bef2485a5bfddcad6ae89af861a0e072fc16eeefea307a0c3e069fa30b9e4e90b9a742f WHIRLPOOL e8c307bfbdfd0c61e2d09c21689120e4c1986b230daa56c51b56d94329149a32870f37cec3ccd1fdee12d8c40cd2f38ec90de1dfdecfad3d73f233004551368b

@ -1,31 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
inherit distutils-r1
MY_P="path.py-${PV}"
DESCRIPTION="A module wrapper for os.path"
HOMEPAGE="http://pythonhosted.org/path.py https://pypi.python.org/pypi/path.py https://github.com/jaraco/path.py"
SRC_URI="mirror://pypi/p/path.py/${MY_P}.zip"
SLOT="0"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="test"
DEPEND="
app-arch/unzip
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
S="${WORKDIR}/${MY_P}"
python_test() {
py.test || die "Testing failed with ${EPYTHON}"
}

@ -1,29 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
inherit distutils-r1
MY_P="path.py-${PV}"
DESCRIPTION="A module wrapper for os.path"
HOMEPAGE="http://pythonhosted.org/path.py https://pypi.python.org/pypi/path.py https://github.com/jaraco/path.py"
SRC_URI="mirror://pypi/p/path.py/${MY_P}.tar.gz"
SLOT="0"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="test"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
S="${WORKDIR}/${MY_P}"
python_test() {
py.test || die "Testing failed with ${EPYTHON}"
}

@ -1,38 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
inherit distutils-r1
MY_P="path.py-${PV}"
DESCRIPTION="A module wrapper for os.path"
HOMEPAGE="http://pythonhosted.org/path.py https://pypi.python.org/pypi/path.py https://github.com/jaraco/path.py"
SRC_URI="mirror://pypi/p/path.py/${MY_P}.tar.gz"
SLOT="0"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="test"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
dev-python/appdirs[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
)"
S="${WORKDIR}/${MY_P}"
python_prepare_all() {
sed '/setuptools_scm/d' -i setup.py || die
distutils-r1_python_prepare_all
}
python_test() {
esetup.py test
}

@ -24,6 +24,7 @@ DEPEND="
test? (
dev-python/appdirs[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pytest-runner[${PYTHON_USEDEP}]
)"
S="${WORKDIR}/${MY_P}"

@ -1,5 +1,3 @@
DIST pexpect-2.4.tar.gz 113251 SHA256 43c788f59dcf4bed677fd0b16891787dbf747e210ffedb6e90156fbbbd4d3b7b SHA512 0d5db34f3dc0e1a5bf7d8d0ab584897e4142592f35765762e4ca60d112106b91485098c91ad95a3cb3ad1f3d600619fa0ad41d930085e75974d78e0f06280a9f WHIRLPOOL 587a94b785645a950a643bff7bf972af285faea9dcf73064eb40e96d7cb29e87543bb14c65cdc2366573236ec56cc03c4076bc952899e567872628ff5c4d9785
DIST pexpect-3.0.tar.gz 146662 SHA256 1d6cee0fa5ab212f9ddac9852bab0df5fff11a173ed1bfde9346d5c8aa42d14c SHA512 f84cbc843978baf0ab05bae63dd080d4ca14e8fd51de4e53cf33ddb6219c9e460f68861e44104a59ddb2c1b9dc8568bc87ee778ea52b10e18e365b771ca9aa63 WHIRLPOOL e2def4eb61007d5cbb5370daa82672f6063bf87a2a238237720652f85051bb72383b4d808c8a7148063fafe020ce1253a83f97237594b52a75f8a49689e38171
DIST pexpect-3.1.tar.gz 130404 SHA256 bd0045066718fba98481032303f07565cca6b22b3b7f104efe3e077a55e9ee8d SHA512 8b6edfc6537dcd241446807f0b659c5040ee3a87329df03c76bed0d0328070e3bd144f957661e1ce46f0a6dae89f869ea99d38b22257fc20c2eb3377c4ccafc8 WHIRLPOOL 2472a6b0166c2096cf20056495eb3445c3266edb59c0b2db7dc0a32e8504e2b1755f1bef8245b8c9514325f2d5196d4b6dbed241222b14dd46644fb2e0e60fc9
DIST pexpect-3.2.tar.gz 131070 SHA256 dbc4c9a01c118e198d1b6ca76f31eb7292f212567f253e6b36a880e5168e961f SHA512 2d25ebb7c19168a083b7af6a84a4ab5162b9fa5ae19b5786ee9592c663dd9ca264c1d1840a219f0ff44bc14853fc801c1d2e73a053f5d2afc2d1eea174b0b505 WHIRLPOOL 70ac0fe69e3410cd74d5b99b4dc654171f5aa763629793f6eed5a6fb607b1bd604b070fd8ee511998c8e40e188877f20c4233bd567579d8f891a32533865804c
DIST pexpect-3.3.tar.gz 132330 SHA256 dfea618d43e83cfff21504f18f98019ba520f330e4142e5185ef7c73527de5ba SHA512 66cc501f1c7bb8ba0be4cdc0db840629f51416dc54ae44dc770adb38f1a385116b0a8b9bc7f1cc1447f05ede36ef1b519f5c4e710e6cb736c923ecfc87497cfa WHIRLPOOL e708e722d4e2598958f8d724b84148608e9a53041077b1a1a2af84d5281e11f0c6c050ee88489eebc48bd5556c22e0fe9386680d34b1941ddf21539296629513

@ -1,29 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python{2_7,3_3,3_4} )
inherit distutils-r1
DESCRIPTION="Python module for spawning child applications and responding to expected patterns"
HOMEPAGE="http://pexpect.sourceforge.net/ https://pypi.python.org/pypi/pexpect"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~amd64-fbsd ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="doc examples"
DEPEND="doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
python_compile_all() {
use doc && emake -C doc html
}
python_install_all() {
use doc && local HTML_DOCS=( doc/_build/html/. )
use examples && local EXAMPLES=( examples/. )
distutils-r1_python_install_all
}

@ -1,34 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python{2_7,3_3,3_4} )
inherit distutils-r1
DESCRIPTION="Python module for spawning child applications and responding to expected patterns"
HOMEPAGE="http://pexpect.sourceforge.net/ https://pypi.python.org/pypi/pexpect"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~amd64-fbsd ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="doc examples"
DEPEND="doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
python_compile_all() {
use doc && emake -C doc html
}
python_test() {
. test.env || die
"${PYTHON}" tools/testall.py || die "Tests fail with ${EPYTHON}"
}
python_install_all() {
use doc && local HTML_DOCS=( doc/_build/html/. )
use examples && local EXAMPLES=( examples/. )
distutils-r1_python_install_all
}

@ -1,7 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>releng</herd>
<herd>tools-portage</herd>
<maintainer>
<email>dolsen@gentoo.org</email>
<name>Brian Dolbec</name>

@ -1,8 +1,9 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python2_7 )
inherit distutils-r1
@ -16,14 +17,13 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc examples"
DEPEND="doc? ( >=dev-python/epydoc-3[${PYTHON_USEDEP}] )
app-arch/unzip"
DEPEND="
app-arch/unzip
doc? ( >=dev-python/epydoc-3[${PYTHON_USEDEP}] )"
RDEPEND=">=dev-cpp/gccxml-0.6"
python_compile_all() {
if use doc; then
esetup.py doc || die
fi
use doc && esetup.py doc
}
python_test() {

@ -35,11 +35,10 @@ python_test() {
}
python_compile() {
python_is_python3 || local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
distutils-r1_python_compile
python_is_python3 || local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
distutils-r1_python_compile
}
python_compile_all() {
use doc && emake -C doc html
}

@ -3,6 +3,7 @@
# $Id$
EAPI=5
PYTHON_COMPAT=( python{2_7,3_3,3_4} )
inherit distutils-r1
@ -16,7 +17,4 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=""
RDEPEND="${DEPEND}"
DOCS="README.rst"

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save